Welcome to MacImage Help

Overview
MacImage is a very simple program and we hope you'll be able to use it without always consulting the documentation. Nevertheless, it may be useful to give you some basic information on the program and on its features. This is the aim of this page.

MacImage Features
This page explains MacImage main features, mainly its different working modes and what it produces. It also presents MacImage main screen and its components.

Help on Help
This page explains the general organisation of the help system and how to navigate to find the information you may need.


MacImage Installation

MacImage is installed with a classical installer program. It runs under all versions of Windows (95, 98 and ME, NT4, 2000 and XP).

Error about OLEAUT32.DLL when launching under Windows 95/98
When launching MacImage under Windows 95 or Windows 98, you get an error message stating that MacImage "is linked to the missing export OLEAUT32.DLL:VarNot".
This error happens on computers running Windows 95/98 without the latest DCOM updates.
To solve it, you'll have to update the DCOM software, using one of following links:
Link for Windows 98
Link for Windows 95.
The updater for Windows 95 is also present on the distribution CD-ROM, in a folder labelled DCOM. The updater for Windows 98 is not a freely redistributable component, and we could not include it on the CD-ROM.


MacImage Features

Introduction
MacImage is a program to create Macintosh CD-ROMs on a PC.
Those CD-ROMs can be Hybrid CD-ROMs (Macintosh/Windows CD-ROMs, or more precisely HFS/HFS+ on one part and Joliet/ISO 9660 on the other one). This is the default working mode and the most used format.
The classical situation could be: let's say you want to publish pictures and you don't know precisely who will use the CD-ROM. You want to give all potential users (on PC and on Mac) the best experience while opening and using your CD-ROM.
Those CD-ROM can also be HFS CD-ROMs (classic Macintosh [HFS] magnetic volumes).
In this second case, you know that the target user works on a Mac and want to do him a favor (because s/he is the payer): you therefore produce a CD-ROM which will behave exactly as s/he expects it.
Third, those CD-ROM can be ISO 9660 CD-ROMs with Apple Extensions. See below for more information.

MacImage Working Modes
MacImage features three different working modes. The default working mode is the Project Mode. You should only switch to the Partition Mode or to the ISO+ Mode if you have specific reasons to do it, that is, if you need their features.

  • Project Mode (default mode): The CD-ROM you will produce in the Project Mode can be read on a PC (and more generally on all platforms supporting the ISO 9660 standard and the Joliet extension). Those users will see what the program displays as the ISO View. This CD-ROM will also be read on a Macintosh as a real Macintosh volume (that is, with the possibility to launch applications, and the like). The Macintosh users will see what the program displays as the HFS View.
    Files and folders are shared (or, better said, can be shared) between both views and may therefore exist in a single copy on the medium.
  • Partition Mode: The CD-ROM you will produce in the Partition Mode will only be readable on a Macintosh. You create a Virtual Partition, putting in it the files you want. The resulting Image can then be burned on a CD-ROM to produce a pure Macintosh CD-ROM, or copied onto an ISO image to produce a hybrid CD-ROM (without file sharing).
  • ISO+ Mode: The CD-ROM you produce in this mode is a classical ISO 9660 CD-ROM, but also applies the Apple Extensions to ISO 9660 to allow to store on the medium specific Macintosh files, that is files containing two File Forks.

MacImage and CD-ROM Burning
MacImage is not a CD burning software, that is it will not write to your CD-ROM burner to produce the final CD-ROM. You have to use the software you bought or received with the drive to do that. All major software packages offer a method to burn an ISO image. See our special page on Burning for more information.

MacImage User Interface
MacImage offers a standard two-pane view to ease the navigation in the volume.

To see the screen capture.

On the left, a tree view with folders, on the right a list view of the files/folders in the current folder. The tree view can be minimized and even totally collapsed to give more free space to the list view. When collapsed, the tree view if the right pane can be reopened by dragging the left border of the main window.
MacImage supports all necessary file management functions and allows file renaming, deleting, etc.

Your First Steps with MacImage
You should not be afraid of all this (new) terminology. Like all tools, MacImage has a learning curve. We suggest you select and follow one of the tutorials we offer:

  • Creating a Hybrid CD-ROM (HFS/ISO 9660), which is the main and default working mode
  • Creating a HFS only CD-ROM (pure Macintosh CD-ROM)
  • Creating an ISO CD-ROM with Apple Extensions
  • Opening a Macintosh CD-ROM Image in MacImage.


Help on Help

MacImage Help system is organized in four parts.

Help File
The Help file (this file)can be browsed with the usual Windows Help commands (see the toolbar above and the navigation pane on the left). From the Overview Page, links bring you to several topics explaining what you can or should do to obtain the result you want.

Context-Sensitive Help Functions
In all dialog windows and on all menu items (every time you are supposed to answer something or to type something), you can ask for help by hitting the F1 key or the right mouse button. This contextual help offers information which should help you to do efficiently your job.
You can also click on the big button with the program icon to consult a more detailled page on the subject of the dialog window.

On Line Help
The Help menu and the About window offer links to the on-line technical support of our Web Site ("http://www.macdisk.com/listen.php3").

First Steps
If this is the first time ever you're using this program, please refer to the walkthroughs we have prepared specifically for you:

  • Creating a Hybrid CD-ROM (HFS/ISO 9660), default and major working mode of MacImage
  • Creating a HFS only CD-ROM (pure Macintosh CD-ROM)
  • Creating an ISO CD-ROM with Apple Extensions
  • Opening a Virtual Macintosh Volume in MacImage.


First Steps

If you're doing your first steps with MacImage, you should not be afraid. Like all tools, MacImage has a learning curve. To begin with, we recommend you follow the simple walkthroughs we offer below:

  • Creating a Hybrid CD-ROM (HFS/ISO 9660),
  • Creating a HFS only CD-ROM (pure Macintosh CD-ROM),
  • Opening a Macintosh CD-ROM Image in MacImage.

Those presentations are kept simple, but things are not always simple. Therefore, there are also more detailled walkthroughs presenting all details:

  • Producing a Hybrid CD-ROM
  • Producing a HFS-only CD-ROM
  • Installing Macintosh Applications


Creating a Hybrid CD-ROM

Putting Files in the Project
When MacImage is launched, it displays its main window. You can now drag-and-drop files from the Explorer. All the files included in the project (the list) will be visible for PC and Macintosh users. This (default) display mode of the files and folders included is called the Hybrid View. You know that you are in hybrid view when the leftmost button, in the toolbar, is as follows:

If you have files that should only be visible to the PC users, or to the Macintosh users, you'll have to switch to the ISO View or to the HFS View. You can do that by clicking on the button, which changes to :

Near this button is a downward arrowhead:

Clicking on this arrowhead brings a more explicit menu:

When a file is included in the project while you're in ISO view, it will be only visible to PC users. In a similar way, when you include a file while you're in the HFS view, it will only be visible to Macintosh users.

Compilation
When you are satisfied with this preparatory work, you have to produce the image of the future CD-ROM. This is called the compilation. Click on the Compilation button, shown below:

MacImage asks you for a filename (the file which will contain the image), compiles the project and produces the image file. This file will then be burned with your favorite CD-ROM burning package. All major software packages burn CD-ROM from images.
In Nero, the menu item is called "Burn image" and is located in the File menu.
In Easy CD Creator, it is likewise in the File menu, and is called 'Create CD from Disk image'.

Other "First Step" pages:

  • Creating a CD-ROM with autorun,
  • Creating a HFS only CD-ROM (pure Macintosh CD-ROM),
  • Creating an ISO CD-ROM with Apple Extensions,
  • Opening a Macintosh CD-ROM Image in MacImage.

Some Basic Principles
MacImage works like many CD-ROM authoring software packages. You build a project file (aka a list of files and folders) by drag-and-dropping files and folders from the Explorer. When you have done this preliminary work, the software produces its result, which is a CD-ROM image.
MacImage doesn't drive directly your CD burner device and you have to use the burning software you bought ot got with it. Most major software packages allow the user to produce CD-ROMs from CD-ROM images.

Creating a Project
You can choose not to use the default project file. From the 'Project' menu, select the 'New' item. Select the folder where you want to put the project file. Project files (which bear the *.mipr extension) are never very big and we think this is a good practice to leave them in the main folder of the application.

Other Detailled Walkthroughs
Those presentations are kept simple, but things are not always simple. Therefore, there are also more detailled walkthroughs presenting all details:

  • Producing a Hybrid CD-ROM
  • Producing a HFS-only CD-ROM
  • Installing Macintosh Applications


Creating a HFS only CD-ROM

Introduction
The basic purpose of the Partition Mode is to produce a Macintosh-only (HFS) CD-ROM image. In this working mode, MacImage manages a virtual disk (or virtual partition, thence the name of the working mode) placed in a file stored on the PC hard disk. MacImage offers on this virtual partition all necessary file and folder management features, like copying, deleting, renaming, and the like.
The CD-ROM which will be burned from this image will only be readable on a Macintosh computer. If you want to get a CD-ROM which will be readable both on a PC and on a Macintosh, switch to the Project Mode.

Switching to the Partition Mode
MacImage is switched to the Partition Mode in the 'Switch Working Mode' item in the 'Options' menu.
You can also use the CTRL M shortcut.

Creating a New Partition
From the 'Partition' menu, select the 'New' item. The program asks you for a file name and switchs to the creation of the partition:

To see the screen capture.

You have to give the partition a name (the name of the future CD-ROM) and a size.
As a rule of thumb, take the size of the files you intend to put in the partition and add about 10%. You can afterwards correct the size of the partition, within some limits (you won't be able to extend a 2MB partition to 200MB, but addind 10 or 15MB is always possible).

Adding Files and Folders
When MacImage displays the empty window, you can drag-and-drop files from the Explorer. The program adds to the partition all files and folders, including files contained in those folders and their subfolders. You can copy files at any level of the files and folder tree.
You can rename files and folders, delete them. You can also rename the volume.

Burning the CD-ROM
When you're satisfied with the result, you just save and close the file and burn it. MacImage doesn't directly drive your CD-ROM burning device and you'll have to use for that end the software you bought or got for your device. Most major CD-ROM burning packages support the creation of a CD-ROM from an image.

Other "First Step" pages:

  • Creating a Hybrid CD-ROM (HFS/ISO 9660),
  • Creating an ISO CD-ROM with Apple Extensions,
  • Opening a Macintosh CD-ROM Image in MacImage.

Those presentations are kept simple, but things are not always simple. Therefore, there are also more detailled walkthroughs presenting all details:

  • Producing a Hybrid CD-ROM
  • Producing a HFS-only CD-ROM
  • Installing Macintosh Applications


Creating ISO CD-ROMs with Apple Extensions

Introduction
In the third working mode of MacImage, called ISO+ Mode (ISO 9660 + Apple Extensions), you create an ISO 9660 CD-ROM where some freedom degrees left in the standard are exploited to store correctly the specific elements of the Macintosh file system, that is the Resource Fork and the so-called Finder Information (signature, time/date, etc.).

Why This Third Mode?
The ISO+ mode can be very interesting when the data to be put onto the CD-ROM is stored in many little files. As a matter of fact, the ISO file system uses the free space on the CD-ROM very efficiently, since the smallest addressable unit is the sector (2048 bytes). On the other hand, a hybrid CD-ROM must align on the worst allocation scheme, in this case the HFS one, which can only address 65534 allocation units. On a 650MB CD-ROM, that mean that each file occupies 10KB.
If you put big graphics files on the CD-ROM, it doesn't matter. But if you want to put a big Web site containing hundreds and thousands of files, your point of view may change...

Can We Install Programs?
Yes, it is possible to install on such a medium programs and, more generally, files having a resource fork. A program can be executed from an ISO+ CD-ROM (which is not possible from a plain ISO CD-ROM).

Drawbacks of the ISO+ Format
As you probably guessed, there are some drawbacks, or nobody would understand why one still uses the plain ISO or the hybrid format.
File Name Length: when the target computer runs under OS 9 or older, at least without Thomas Tempelmann's Joliet extension, the user can only see filenames like "SIMPLE~1" for "Simple Text". The program runs quite normally, but the user's experience is suboptimal, to say the least. The ISO+ format should therefore be reserved to situations where you can have some information about the configuration of the target computer.
No Autorun: the autorun feature is implemented by QuickTime, but only from HFS ansd HFS+ media. In other words, there is no autorun on the Macintosh with ISO CD-ROM with Apple extensions. You should weight the pros and cons of the situation. While on the subject, don't forget that almost all conscious Macintosh users inhibit the autorun feature by fear of virus attacks.
On the other hand, there is no autorun anymore under Mac OS X.

Switching to the ISO+ Mode
As MacImage starts by default in Project Mode, you must switch to the ISO+ Mode using the first item of the Options menu.

Drag & Drop Files
Open a new project (list of files to be included).
From the Explorer, drag & drop the files to MacImage main window. The program includes the files, keeping the original folders and subfolders.

Image Compilation
You have now to compile the image, that is to produce the file containing all files and folders, following the logical structure of a ISO CD-ROM with Apple Extensions.
Then load your favorite CD-ROM burning software and ask it to burn the image.

Other "First Step" pages:

  • Creating a Hybrid CD-ROM (HFS/ISO 9660),
  • Creating a HFS only CD-ROM (pure Macintosh CD-ROM),
  • Opening a Macintosh CD-ROM Image in MacImage.

Those presentations are kept simple, but things are not always simple. Therefore, there are also more detailled walkthroughs presenting all details:

  • Producing a Hybrid CD-ROM
  • Producing a HFS-only CD-ROM
  • Installing Macintosh Applications


Opening a Macintosh CD-ROM Image in MacImage

Introduction
When you launch MacImage by double-clicking its icon, it defaults to the Project Mode. You can select the Partition Mode by selecting this item in the 'Options' menu.
In the 'Partition' menu, select the 'Open' item. You get a file selection box where you can select the image file you want to open. We use the HFS extension as a default value, but you can select Toast image files (with the IMG or TIMG suffix) and even ISO image files (with the ISO suffix).

Which Images?
MacImage is able to open hybrid ISO/HFS image files and will allow you to modify the HFS partition under some conditions. In the case of hybrid CD-ROM images, produced by MacImage in Project Mode or with other tools, the Macintosh catalog file is full and therefore doesn't allow adding new files to the image. On the other hand, it is still possible to delete files. MacImage can also open Toast image files.
If you specify the name of a file which doesn't exist, MacImage automatically branches to the Creation of a new partition to build/format a new Macintosh virtual volume which will yield a Macintosh-only volume.
As soon as you have selected the file that contains your virtual partition, MacImage analyzes it and lists its contents.

Why Open a Macintosh CD-ROM Image?
You may need to open a Macintosh CD-ROM image for several reasons:

  • To select/change the file used for the autostart/autorun feature,
  • To delete a file or folder,
  • To rename a file or folder.

Where To Go From Here?
You can continue with:

  • Copying files between the Macintosh partition and the PC hard disk
  • Copying files between the PC hard disk and the Macintosh partition

See Also:

  • Creating a Hybrid CD-ROM (HFS/ISO 9660),
  • Creating a HFS only CD-ROM (pure Macintosh CD-ROM).
  • Creating an ISO CD-ROM with Apple Extensions,


MacImage Menus

MacImage features following menus:

  • Project Menu (in Project Mode)
  • Partition Menu (in Partition Mode)
  • ISO+ Menu (in ISO+ Mode = ISO 9660 + Apple Extensions)
  • File Menu
  • Special Menu
  • Options Menu
  • Help Menu


Project Menu

The Project Menu (which is only displayed when the program is in the Project Mode, default working mode) includes all the standard project manipulation items.

  • New
    Creation of a new project file.
  • Open
    Opening of an existing project file.
  • Save
    Saving the current project file.
  • Save As
    Saving the current project file under a new filename.
  • Close
    Closing the current project file.
  • Properties
    Information on the current project file.
  • Volume Label
    Renaming the volume.
  • Compile
    Compilation of the current project file to an image.
  • Reopen
    Selection of a file in the list of the recently used projects.
  • Exit
    Closing the program.

Back to the Main Menu.


Partition Menu

The Partition Menu (which is only displayed when the program is in the Partition Mode) includes all the standard file manipulation items.

  • New
    Creation of a new virtual partition.
  • Open
    Opening of an existing partition.
  • Save
    Saving the current partition.
  • Save As
    Saving the current partition under a new filename.
  • Close
    Closing the current partition.
  • Properties
    Information on the current partition.
  • Partition Label
    Renaming the virtual volume.
  • Resize
    Resizing the current partition.
  • Hybridation
    Copy the current partition onto an ISO image to produce a hybrid CD-ROM without file sharing.
  • Reopen
    Selection of a file in the list of the recently used partitions.
  • Exit
    Closing the program.

Back to the Main Menu.


ISO+ Menu

The ISO+ Menu (which is only displayed when the program is in the ISO+ Mode) includes all the standard project manipulation items.

  • New
    Creation of a new project file.
  • Open
    Opening of an existing project file.
  • Save
    Saving the current project file.
  • Save As
    Saving the current project file under a new filename.
  • Close
    Closing the current project file.
  • Properties
    Information on the current project file.
  • CD-ROM Label
    Renaming the current volume.
  • Compile
    Compilation of the current project file to an image.
  • Reopen
    Selection of a file in the list of the recently used projects.
  • Exit
    Closing the program.

Back to the Main Menu.


File Menu

The File menu offers all necessary commands to manage files and folders. Depending on the working mode, this menu doesn't offer the same contents:

Project Mode and ISO+ Mode

  • Paste From Explorer
    Paste in MacImage the files copied in the Explorer with the CTRL C command.
  • Delete
    Deleting a file or folder on the Macintosh volume.
  • Rename
    Renaming a file or folder on the Macintosh volume.
  • Create Folder
    Creation of a new folder in the current folder.
  • Properties
    Displays the properties (attributes) of a Macintosh file or folder.
  • File Search
    Search for files and folders in the project.
  • Search & Replace Signatures
    Searching (and replacing) signatures give to the files in the project.
  • Select All
    Selecting all items in the current folder.
  • Invert Selection
    All previously selectd items become deselected. All deselected items become selected.

Partition Mode

  • Copy From Mac to PC
    Copying from the Macintosh partition toward the PC hard disk.
  • Copy From PC to Mac
    Copying files and folders to the Macintosh partition.
  • Paste From Explorer
    Paste in MacImage the files copied in the Explorer with the CTRL C command.
  • Delete
    Deleting a file or folder in the Macintosh partition.
  • Rename
    Renaming a file or folder in the Macintosh partition.
  • Create Folder
    Creating a new folder on the Macintosh partition.
  • Display File Contents
    Display of the raw contents of a Macintosh file. Display of the objects contained in the case of a folder.
  • Properties
    Displays the properties (attributes) of a Macintosh file or folder.
  • File Search
    Search for files in the Macintosh partition.
  • Select All
    Selecting all items in the current folder.
  • Invert Selection
    All previously selectd items become deselected. All deselected items become selected.

Back to the Main Menu.


Special Menu

The Special menu offers several items intended for advanced users. Depending on the working mode, this menu doesn't offer the same contents:

Project Mode and ISO+ Mode

  • Refresh Project
    Checking for the existence and size of included files and folders. Updating the current project.
  • Delete File Extensions in the HFS View
    Deleting the (useless) file extensions in the file names included in the Macintosh (HFS/HFS+) view.
  • Change Access Path
    Replace the old access path with a new one (useful when the source files and folders were moved from a disk to another one).
  • Alias
    Search for alias (shortcuts) in the project file.
  • Search for Generic Signatures
    Search for generic signatures in the project file. Generic signatures should be avoided in a professional CD-ROM.
  • Launch Explorer
    Launch Windows Explorer to drag-and-drop files to the project window.
  • Signature Editor
    Launch the signature editor SignEdit to edit the signature file.
  • Icon Composer
    Launch WinComposer, an independent utility to create/convert icon files.
  • Register File Types
    Registering in the Registry the file suffixes (extensions) used by MacImage for its projects and files.

Partition Mode

  • Alias
    Search for alias (shortcuts) in the project file.
  • Search for Generic Signatures
    Search for generic signatures (xxxx????) in the project file. Generic signatures should be avoided in a professional product.
  • Launch Explorer
    Launch Windows Explorer to drag-and-drop files to the project window.
  • Signature Editor
    Launch the signature editor SignEdit to edit the signature file.
  • Icon Composer
    Launch WinComposer, an independent utility to create/convert icon files.
  • Register File Types
    Registering in the Registry the file suffixes (extensions) used by MacImage for its projects and files.

Back to the Main Menu.


Options Menu

The Options menu offers several items that can alter the basic operating parameters of the program. Depending on the working mode, this menu changes its contents:

Project Mode

  • Working Mode
    Selection of the working mode (Project, Partition, ISO+).
  • View (Display Mode)
    Selection of the view to display (HFS, ISO or hybrid).
  • Language
    Language used for the messages (English or French).
  • Signature File in the Registry
    Check the signature file registered in the Registry.
  • Column Settings
    Setting some parameters of the columns used to display the contents of the project.
  • Preferences
    Setting several parameters defining the behavior of the program.

Partition Mode

  • Working Mode
    Selection of the working mode (Project, Partition, ISO+).
  • Copy Method
    Copy mode of the program (Data fork, Resource fork or both forks in MacBinary mode).
  • Swap Forks
    Swap the data and resource forks of the selected Macintosh file.
  • Language
    Language used for the messages (English or French).
  • Signature File in the Registry
    Check the signature file registered in the Registry.
  • Column Settings
    Setting some parameters of the columns used to display the contents of the project.
  • Preferences
    Setting several parameters defining the behavior of the program.

ISO+ Mode

  • Working Mode
    Selection of the working mode (Project, Partition, ISO+).
  • Language
    Language used for the messages (English or French).
  • Signature File in the Registry
    Check the signature file registered in the Registry.
  • Column Settings
    Setting some parameters of the columns used to display the contents of the project.
  • Preferences
    Setting several parameters defining the behavior of the program.

Back to the Main Menu.


Help Menu

This menu gives access to the help features of MacImage:

  • Help on Help
    A little page on the help system.
  • Help Topics
    Access to the main help system.
  • Help Search
    Access to the search function in the main help system.
  • Help Index
    Access to the index of the main help system.
  • On Line Support
    Access to the support pages of our Web site.
  • About MacImage
    Usual window with serial number and version level.

Back to the Main Menu.


How to...

Introduction
We give below links to several pages explaining how to do several classical operations. You may have to use those descriptions in your daily work.
However, since this file is delivered with the program, it can't be perfectly up to date. Therefore, we suggest you visit our Web site for up to date information. In particular, the site map presents a list of all pages pertaining to the creation of Macintosh CD-ROMs on a PC.

  • Autostart/Autorun the Mac CD-ROM
  • Burn an Image File
  • Change the Inclusion Codes
  • Change the Language of the Program
  • Change the Size of the Project (Project Mode)
  • Change the Size of the Project (ISO+ Mode)
  • Create a Custom Icon
  • Delete File Extensions in the HFS View
  • Display the contents of a File
  • Edit the signatures
  • Hide files and folders
  • Include duplicate files and folders
  • Install Macintosh applications
  • Produce a HFS-only CD-ROM
  • Produce a Hybrid CD-ROM
  • Produce an ISO CD-ROM with Apple extensions
  • Put a Web Site on CD-ROM
  • Register the File Types
  • Register the Serial Number
  • Select the View (Display Mode)
  • Select the Working Mode
  • Switch between HFS and HFS+
  • Update the Project


Custom Icons

Introduction
The Macintosh allows adding so-called custom icons to volumes (disks), folders and files. Those custom icons are displayed by the Finder instead of the usual icons offered by the operating system or by the application used to create/edit the files.
In the case of files, this custom icon is used to better show the data contents of the file.
With folders (the volume/disk is only a special case and gets the icon of the root folder), this custom icon illustrates the contents (files and subfolders), or can represent the producer/author of the data.

How To Do On the Macintosh?
The classical method, on the Macintosh, is to display the file or folder information and to paste in the displayed icon an image copied from a graphic application.

How To Do With MacImage?
See also a Check List written to help you.
MacImage is bundled with a specialized module named WinComposer. This module allows the user to import numerous graphic resources (Windows icons, Macintosh icons, several other graphic formats) to produce icons in 16*16, 32*32, 48*48 and 128*128 pixels.
The multiformat icon produced by WinComposer (saved as a Resource Fork stored in MacBinary container) is simply included in the folder (MacImage automatically unpacks the MacBinary container) and the checkbox 'Custom Icon' is checked in the 'Properties' window of the folder.
The sames applies for volumes (the file is stored in the Root Folder). However, since Mac OS X doesn't use the same scheme for volume custom icons, you'll have to include the classical resource icon for Mac OS 9 and below, and a special data fork icon named '.VolumeIcon.icns' for Mac OS X.
Those icon files must be hidden. In the case of the MacBinary container, WinComposer sets itself this flag in the MacBinary header. In the case of the data fork icon, you'll have to set this flag yourself in the Properties window.
This feature is not yet supported in the case of files.

Technical Aspects
Technically, the matter is not very complicated. Custom icons are normal icon resources, but must bear the "magical" -16455 identification number. More, the "custom icon" flag of the folder record must be set.
In the case of files, the same graphic resources must be stored in the resource fork of the file. This time, the flag is set in the file record.
Those icon resources are not stored by the Finder in its database (Desktop).

Folder Custom Icons
The folder (the root folder for the volume) must contain a hidden file named "icon\r" (0x0D as the last character) holding correct graphic resources (see the page on Macintosh Icons in WinComposer help for more technical information).

Volume Custom Icons
Under Mac OS 9 and below, the Root Folder is treated like a normal folder, and should contain the same 'icon\r' file.
Under Mac OS X, the file holding the icon must be named '.VolumeIcon.icns' and the icon format must be an 'icns' resource. This resource is stored in the data fork.
If you target all versions of the Macintosh operating system, you may include both files. Older versions won't do anything with the '.VolumeIcon.icns' file. Under Mac OS X, all files beginning with a dot are (like under Unix) treated as system and hidden files. This is not the case under Mac OS 9 and below. You should therefore hiden those files to avoid perplexity amongst users.


Custom Icon Checklist

Introduction

This checklist was written to help you doing the few necessary steps you'll have to do when creating custom icons for the volumes and folders of your CD-ROM projects built in MacImage.
We'll see successively the three different basic situations: Folder Icons, Volume Icons under Mac OS X and Volume Icons under Mac OS 9 and before).
To conclude, we'll see the solution for Universal Volume Icons.
This page uses frequently the concepts of data fork and resource fork. You may want to consult our pages on Macintosh File Forks and on the MacBinary Format to refresh your knowledge on those particular aspects.

Folder Icons

Please note that there is no difference depending on the versions of the Mac OS operating system for folder icons.

1) Producing the icon in WinComposer
After importing the graphic resources you intend to use for building the custom icon in WinComposer, you can save the icon as a Resource Fork as a MacBinary container.
Select the File menu, then Save, Macintosh Icon, Resource Only item. This file will contain all the sizes you imported in the Assembler tab.
You can also choose to save only one icon size (preferably 32*32, but 48*48 is also fine). In this case, select the icon by clicking it (the program displays the icon with a greenish frame), then open the context sensitive menu (right click), select Save Image As, then the item 'icns File (Mac, Resource)'. WinComposer offers to save the file with an *.icns extension, but will add a second *.bin extension to identify the file correctly.
The work in WinComposer is done. We now turn back to MacImage.

2) Putting the icon in the target folder, in MacImage project
In MacImage, open the project file, then the target folder. Include the icon file in this folder. The icon file must be included in the folder which will bear the icon later on.
Of course, this file doesn't need to be included in the ISO view.
Please note that the filename used on the PC has no consequences, since WinComposer put inside the MacBinary container the name the file should have in the Macintosh volume, i.e. 'icon\r', where the last character ('\r') is the carriage return (0x0D). This file should be hidden. The hidden flag was also set by WinComposer, so you should not have to do anything on this aspect.

3) Setting the Custom Icon flag for the folder
Last but not the least, you'll have to set the Custom Icon flag for the folder. Right click on the folder name (in the navigation pane on the left or in the list pane on the right), then select the Properties item. In this big dialog window, check the Custom Icon checkbox at the bottom and save the changes.
You're done.
Back to Top

Volume Icons under Mac OS X

1) Producing the icon in WinComposer
After composing your icon (importing graphic resources in the Assembler tab of WinComposer like you would do it for a folder icon), you'll have to save it to a file which, this time, will be a plain icon in a data fork (plain data file), that is not a MacBinary container hiding a resource fork.
To save an icon file containing all icons displayed on the Assembler tab, select the File menu, then the items Save, Macintosh Icon, Data Only.
Likewise, you can choose to only save one icon size (preferably 32*32, but 48*48 is also fine). Click on the icon to select it (the program displays a greenish frame around it). Then right click to display the context sensitive menu and select Save Image As then the item 'icns File (Mac, Data)'.
In both cases, the program suggests to save the file with an *.icns extension. You can give any name to this file. You should nevertheless know that the file must be named 'VolumeIcon.icns' on the target Macintosh volume. Therefore, why not naming it like that just now?
The work in WinComposer is done. We now turn back to MacImage.

2) Putting the icon in the target folder, in MacImage project
In MacImage, open the project file and display the root folder. Include the icon file in this folder. Of course, this file doesn't need to be included in the ISO view.
This file must be named 'VolumeIcon.icns' (without the quotes). If it happens that you used another filename when creating it, you'll have to rename it.

3) Hiding the icon file
Like all custom icon files, this file has to be hidden. Since this is a plain data file, and not a MacBinary container, WinComposer couldn't set the hidden flag and you'll have to do it yourself.
Select the file item, right click to display the context sensitive menu and select the Properties item. In the frame 'HFS Partition', check the Hidden flag and save your changes.

4) Setting the Custom Icon flag for the volume
Last but not the least, you now have to set the Curtom Icon for the future Macintosh volume. Select the first item (volume name) in the navigation pane (on the left), right click and select the Properties item. The dialog window displayed by the program can also be called through the File menu. In this dialog window, check the Custom Icon checkbox at the bottom. Save your changes.
You're done.
Back to Top

Volume Icons under Mac OS 9 and before

1) Producing the icon in WinComposer
See above the explanations given about producing the icon files for the Folder Icons in WinComposer.

2) Putting the icon in the target folder, in MacImage project
Back to MacImage, open the project file and display the root folder. Put the icon file in this root folder. See also the comments given above, about the folder icons, on the file name and the hidden flag (you normally don't have to change anything).
Of course, this file doesn't need to be included in the ISO view.

3) Setting the Custom Icon flag for the volume
Last, you now have to set the Custom Icon flag for the volume (in fact, for the root folder). Right click on the volume name (first item in the navigation pane, on the left) and select the Properties item. The dialog windows displayed by the program can also be called from the File menu. In this window, check the Custom Icon checkbox at the bottom and save your changes.
You're done.
Back to Top

Universal Folder Icons

It is also possible do give a volume a custom icon which will work for any version of the Macintosh OS.
The principle is quite simple: you just have to create an Icon file for Mac OS X and an Icon file for Mac OS 9 and before. Therefore, just follow the instructions given above for both situations and include both icon files in the root folder.
Since those icon files are (and must be) hidden, the user will get the result without beeing bothered by the two files.
Back to Top

For more technical information, please visit the Custom Icons general page.


Autorun/Autostart

How To Do?
Create a project for a hybrid CD-ROM in the default mode (Project Mode). In the Root folder, select the file which shall support the feature (it must be in the root folder and the filename should not exceed 11 characters), right-click on it and, in the context-sensitive menu, select Properties. In the dialog window, check the autorun checkbox. That's all. The program will do the rest when compiling the image. In particular, the program checks that there is a single file ckecked this way.

Partition Mode
If you produced a HFS image in Partition Mode or if you want to change the file on a already compiled image, you can also do it like this: switch MacImage to the Partition Mode (first item of the 'Options' menu). Open the HFS partition (*.hfs file) or the HFS view of the hybrid image (*.iso file), select the file you want to use as autostarting (the filename should not be longer than 11 characters) and select the 'Autostart' item in context-sensitive menu (right click). MacImage executes the operation (very fast). Save the modified partition. That's all.

QuickTime
The autostart feature has been available since the release of QuickTime 2.0. Therefore, strictly speaking, this is not a feature of the operating system but of a higher layer. The principle of this feature is that the Finder does on the designated file the same as if the user had clicked on the icon (icon of a program, of an alias or of a data file).

Autorun Inhibit
You should note that numerous users block this feature (this is even a very common tip given in Macintosh magazines) because they fear that this could be an open door to viral attacks. Therefore, you should never consider that your autostarting CD-ROM will actually autostart, and you should add in the root folder a read-me file to instruct the user about what to do.

Autorun under Mac OS X
Because of this virus fear, the autostart feature was silently dropped under Mac OS X. The read-me file is therefore the only solution if you target Macintosh OS X users.
It doesn't seem that there are plans to change this.
For computer still having the Classic execution environment, it remains possible to launch it and to check the QuickTime autorun feature in the Apple menu. This would be useful if you're planning a presentation of several CD-ROMs on a Macintosh.

From Which CD-ROM?
The autostart feature only works from a HFS (Hierarchical File System) volume, that is from a real Macintosh volume. That means that you cannot have an ISO 9660 CD-ROM with autostart features for Macintosh (even in the case of an ISO CD-ROM with Apple Extensions).

Technical Aspects
The first two bytes of the sector 0 of the HFS volume must be set to zero. At offset 106d (0x6A) begins a magical signature 0x006A7068 (big endian!), followed by a Pascal string (length in the first byte, then the bytes forming the string) designating a file which must be in the root folder (it can also be an alias [shortcut] pointing to a file stored deeper in the files and folders tree). The total length of the Pascal string is 12 bytes. The maximum length of the filename is therefore 11 bytes.
Since the effects of the autostart feature are the same as double-clicking on the icon, it also means that the signature of this file should be correct (see also the Signature Page). If not, the user will get a dialog box displayed by the Finder, asking for the application which should open the file. The effects on the end-user are of course very, very bad.
Apple has published a Technical note on this subject.

Back to "How to...".


How to Burn an Image File?

Introduction
An image, or image file, is a file which contains the whole contents of a disk, most frequently of a CD-ROM. This CD-ROM can already exists; in this case, one produced this image to duplicate the original CD-ROM. The CD-ROM may also be virtual, that is may not exist yet; in this case, the image was produced by a program, like MacImage, to be burned afterwards and produce a real CD-ROM.

Burning an Image
All major premastering software packages (CD-ROM burning softwares) offer a function to burn an image onto the blank CD-ROM. You should not confuse burning an image and burning a CD-ROM whose sole contents would be this unique image file.
This is a frequent mistake of beginners.

Image Files and Their Extensions
Some software packages are picky on the extensions used to name the image files. MacImage uses *.iso for the ISO and hybrid images, and *.hfs for the pure Macintosh (HFS) images.
You may have to rename the files with another extension, depending on the package you're using.
PLease note that this doesn't change anything to the real contents of the image.

Nero and Image Files
In Nero, the menu item is called "Burn image" and is located in the "File" menu.

Easy CD Creator and Image Files
In Easy CD Creator, it is likewise in the "File" menu, and is called "Register a CD from an image".

Other Sources of Information
Please visit our FAQ on CD-ROMs our FAQ on MacImage for more information. You'll find there the latest information about tests with current software packages.


Changing the Inclusion Codes

Introduction
When you begin to add files and folders to the project, you can make mistakes, that is include a file in the ISO view or in the HFS view, which should not be visible to the PC or Macintosh users.

Inclusion Status
When in Hybrid View, MacImage displays the inclusion status of all items listed with two little LEDs:

The yellow LED, on the left, means that the item is included in the ISO View. The green LED, on the right, means that the item is included in the HFS View.

Changing the Inclusion Status
Naturally, MacImage allows the user to change the inclusion status. Right-click on the item and select Properties.
The program displays following dialog window, where you can change the inclusion status.

If you happen to have selected several items, the dialog window is a little different, but allows anyway to change the inclusion status:


Changing the Language of MacImage

When launched, the program asks Windows wich language is used on the computer and displays its message accordingly, in English or in French.
However, it can happen that the returned code is badly interpreted. In this case, you have to change the language manually in the Options menu. Afterwards, the language code is stored in the Registry and automatically reused.

Back to "How to...".


Preferences in Project Mode

This window offers two options about the Project Mode.

HFS or HFS+ by default
MacImage, by default, uses the HFS file system to manage the Macintosh view. This is because the HFS format is read by all Macintosh computers, while the HFS+ file system (also called Mac OS Extended) can only be read under Mac OS 8.5 and higher.
On the other hand, the HFS+ file system offers many advantages. One may therefore select to always format the Macintosh view as HFS+.

Reference size of the project
MacImage offers a sliding bar at the bottom of its window, to allow you to follow visually the state of you project (how many space used, how many remaining). Since Macintosh DVD-ROMs are only bigger CD-ROMs, you may also build a project for a DVD. In that case, select in this box the size of your medium. This piece of information is saved in the Registry and restored at each launch of the program.

See also:

  • General Preferences
  • Preferences in Partition Mode
  • Preferences in ISO+ Mode


Preferences in ISO+ Mode

Reference size of the project
In ISO+ Mode too, MacImage offers a sliding bar at the bottom of its window, to allow you to follow visually the state of you project (how many space used, how many remaining). Since DVD-ROMs can be formatted as bigger ISO 9660 CD-ROMs, you may also build a project for a DVD. In that case, select in this box the size of your medium. This piece of information is saved in the Registry and restored at each launch of the program.

See also:

  • General Preferences
  • Preferences in Project Mode
  • Preferences in Partition Mode


Launching MacImage With a Command Line

Introduction
Even if MacImage is a Windows application with a GUI (Graphical User Interface), it may be useful, for some tasks, to launch it with a command line.
This is what happens, behind the curtain, when you double-click on the icon of a project file. As MacImage registered its file extensions (*.mipr, *.hfs and *.isop) with Windows, the Explorer launches MacImage when the user double-clicks on an icon.
The command line can be more useful, yet. For the time being, MacImage only offers a command line compilation. However, other features could be added if needed. Your feedback is welcome!

Command Line Compilation
If launched with a command line like:

macimage -c file.mipr

MacImage opens the project file (file.mipr) and compiles it, producing a file named file.iso.
Using a command line burning software like the cdburn.exe or the dvdburn.exe utilities offered by Microsoft in its Windows 2003 Resource Kit (only installs under Windows XP and later, but also runs under Windows 2000), you could launch the compilation and the burning in one batch files, which could be:

macimage -c file.mipr
cdburn d: file.iso -speed max


Deleting File Extensions

MacImage allows you to delete all file extensions in the file names included in the HFS view. This menu item is in the Special menu.

Since the Macintosh doesn't use file extensions to ascertain the nature and contents of the file, this feature can be helpful to give a more Macintosh-like look and feel to your CD-ROM.
File extensions (suffixes) can be three or four character long.


Displaying the Content of a File

Introduction
It may sometimes be useful to display the raw content of a file stored on a physical Macintosh medium (in Macdisk) or on a virtual Macintosh partition (in MacImage Partition Mode).
When the file is selected, the "Display" item in the File menu or in the context-sensitive popup menu called by the right button of the mouse displays a secondary window to show the content of the file.

More information on the Display Module.


Signature Editing

Signature Table
When you copy Macintosh files on the PC hard disk, our programs give them an extension that is derived from the signatures of the original Macintosh files. In the other direction (copy onto the Macintosh volume), the program gives the file a signature derived from its extension. That way, you get on the Macintosh and on the PC files that can be opened with a double click.

If you don't like the program behavior (because of some specific file formats which need some special extensions or because of new versions of applications producing other files), you will have to modify the signature table.

How to ascertain a Macintosh signature?
To know the signature of a Macintosh file, just open a Macintosh volume containing such a file with one of our programs. Select the file and look in the right column.Note it (caution, this string is case-sensitive). You will now insert it in the internal table with SignEdit.

Signature List
The online help contains a (already pretty long) list of Macintosh signatures. You can also visit our Web site (http://www.macdisk.com/macsigen.htm), where this list is frequently updated. You will also find on this page pointers to other information sources. On the Macintosh, utilities exist to display/correct the signature of the files.

SignEdit, the Signature Editor
SignEdit is an independent module launched from the Special menu. It automatically loads the current signature file.

For more information, see SignEdit Help.


Hiding Files and Folders

Introduction
It may be interesting to hide some files and folders from the user opening the CD-ROM.
On the Macintosh, this feature is strongly implemented, and you would have to use a special program to access the hidden files and folders.
On the other hand, under Windows, this is only a switch in the Explorer, and all so-called power users display hidden and system files and folders. Therefore, the feature is not so strong, but may be helpful anyway.

Changing the Hidden Status
Naturally, MacImage allows the user to change the hidden status. Right-click on the item and select Properties.
The program displays following dialog window, where you can change the hidden status.

If you happen to have selected several items, the dialog window is a little different, but allows anyway to change the hidden status:

Please note that a file or folder may be hidden in the ISO View and not in the HFS View, or the other way around.


Including Duplicate File and Folder Names

Files/Folders Included Twice in the Same Project Folder
When adding files or folders to the projet, MacImage checks whether the item already exists in the same folder. MacImage checks the whole access path; that means that the file/folder is identical to the one already included. In this cas, the operation is cancelled.
Please note that nothing prevents you to include a file or folder several times in different folders of the project.

Files/Folders Bearing the Same Name
The situation is different when you try to include a file/folder whose name is the same as one file/folder already included in the same folder in the project. All file systems forbid such homonyms, but you may have some special reasons to do that (for instance, two files should bear the same name in the HFS view and in the ISO view, but hold different contents).
We had to find a method allowing this.
The solution is following: the user must select a partial view (ISO View or HFS View) to include the second file and the first file must only be included in the other view.
It the program displays the ISO view and if the first file/folder is included only in the HFS view, or, conversely, if the program displays the HFS view and the first file is included only in the ISO view, the new file/folder is accepted.
On the other hand, if the program displays the hybrid view, or if, in the ISO view, the first file is also included in the ISO view, or if, in the HFS view, the first file is also included in the HFS view, the inclusion of the file/folder is cancelled and an error message is displayed.


Installing Macintosh Applications

Introduction
To keep our walkthroughs simple, we only used data files. However, in real life, you'll also have to manage Macintosh applications. We'll first give you some explanations about Macintosh programs and why they must he handled differently. We'll then explain how to get Macintosh applications and transfer them to the target medium.

Macintosh Programs
Macintosh files are made of two File Forks. To install applications (programs) on the future CD-ROM, some more steps (or better said some precautions) are necessary, in particular because Macintosh applications are not stored in the Data fork, but in the Resource fork of the file. The resource fork is somehow special because it is in fact a database, which allows a very fast access to its parts (better than with an unstructured stream of bytes).
The main problem when handling Macintosh applications on a PC is the "loss" of the resource fork. A program without resource fork (even a program for the PowerPC or a program for MacOS X) can't be launched by the Finder.

How to Get the Application Undamaged?
There are two methods to install a Macintosh application (a Macintosh program) on a Macintosh virtual partition managed by MacImage:

  • binary copy of the program from a Macintosh medium, or
  • downloading the program as a container from an Internet server.

Copy From a Real Macintosh Medium
This medium can be a CD-ROM (pure HFS or HFS+, hybrid HFS/ISO or even ISO with Apple Extensions) or a classical magnetic medium (HFS, HFS+, MS-DOS handled by File Exchange on the Mac, and even a NTFS server running SFM).
This operation is a little cumbersome, because you need a second program (MacDisk) and because you'll have to do two copy operations, but it remains pretty straightforward. Open the Macintosh medium with MacDisk. Select the file to be copied. Switch to the MacBinary copy mode and copy the file to the PC hard disk.
Then launch MacImage and copy the file from the PC hard disk to the virtual partition. MacImage automatically identifies MacBinary and BinHex files and manages them accordingly. It will recognize both forks and put each of them where they belong on the Macintosh virtual partition. One of the characteristics of the MacBinary standard is that it can manage both forks composing the file in a single file (so-called container).

Download the Application From the Internet
To keep together both forks of the Macintosh files, two standards are mainly used: the MacBinary standard and the BinHex standard.
Generally, one recommends to use the BinHex standard when downloading on noisy lines and when the target Macintosh is an older one (keep in mind also the problems of 68K Processor vs PPC Processor). On the other hand, the MacBinary files are generally smaller and download faster. This holds true mainly when downloading from a Macintosh computer, where the decompression is often done on the fly while downloading.
Downloading from a PC (where you don't want any decompression taking place) raises other kinds of problems, namely the behavior of the browsers or FTP clients. If offered a choice, we recommend to download the MacBinary version.
The last problem is the new mode of installing applications on line. Several programs (e.g., QuickTime 4) only allow you to download a mini-installer, which manages thereafter the on-line downloading. This is clearly a bad solution if you want to install a reader on a CD-ROM to access data files you created.

Examples, Hints and Tips
We made tests with several widely used applications. Please visit our Web site where we publish some examples.

Please note that several widely distributed software packages are stored on hybrid CD-ROMs (like Adobe Acrobat Reader). In this case, it is better to use such media (see above about Macintosh media) than to try to download heavy-weight distributions packages from the Internet on a dial-up connection.

Other Useful Pages

  • Flash
  • Director

Back to "How to...".


Director

Introduction
Macromedia Director holds a special position amongst applications which are cross-platform compatible. As a matter of fact, if you program on one platform, you'll nevertheless have to compile the projector on the other side of the famous fence.
One could say that, in the multimedia sector, there are many subtle differences between both environments, and that it is better to test the projector on the other machine before distributing it. On the other hand, see below for a trick.

How to Transfer a Projector File to PC?
You recompiled the projector on the Mac and got an application which runs fine. You would now like to transfer it to the PC to include the projector in a CD-ROM project you made with MacImage. The common error is to transfer the file with a MS-DOS medium, an ISO CD-ROM or even a network. Most of the time, you only get the Data fork and not the Resource Fork. You must have both of them, together, or your application can't run.
If the file is stored on a physical medium or a NTFS server running SFM (we have no experience with other networks), you can use our MacDisk to copy the file correctly, as a MacBinary container. See the description given about Installing Macintosh Applications.

Character mapping on the Mac and on the PC
A file named FONTMAP.TXT in the Director folder/directory allows you to specify the mapping of the characters when converting from Windows to Macintosh and back.

A trick to avoid recompiling
On a newsgroup, a 'trick' was proposed to avoid recompiling the whole projector on the other platform. The solution is to always name the first movie as 'movie1.dir' (for an example). The projector you need is then very simple (just a 'go to movie1.dir'). You would then compile it only once on the other platform.
Let me stress that it doesn't mean that you should not test on the other platform. You are only freed from the necessity to recompile and thence to own a license.

Back to "How to...".


Flash

Flash 4 and Macintosh files
Since version 4, Flash allows the developer to create on the PC the Macintosh executable files. This is a welcome simplification, since Director doesn't allow us to do that and insists on recompiling the whole job on the other platform. The Macintosh files created by the program are BinHexed Files.

Solution with MacImage (Hybrid CD-ROM)
To produce a hybrid CD-ROM, just drag-and-drop the original file to MacImage window, in HFS view (the ISO view can't do anything with this file, which should not be shared). MacImage detects the binhexed file and extracts the necessary information. On the other hand, the swf files are dragged in the hybrid view, to share them between both views.
When you compile the project to produce the CD-ROM image, the BinHex container is broken and both forks correctly copied.

Second Solution with MacImage (Mac-only CD-ROM)
In the second case (HFS only CD-ROM), switch to Partition Mode and create a new partition. Then copy the MacBinary file to the Macintosh virtual medium, as explained above. Close the file.
After that, you burn the resulting image with your favorite CD-ROM authoring tool, telling it that this is an ISO image. See our CD-ROM FAQ for some comments on the different software packages.

Flash and Subfolders
The Flash documentation explicitly says that the data files (*.swf) should not be put in a folder tree, that is that they must be in the same folder as the projector. It seems that this restriction is not quite rigourous on the PC, but that it is applied strictly on the Mac. We have been told of presentations working with several swf files scattered on a folder tree on the PC and only showing the root files on the Mac.
Beware!

Flash and Levels
Note: the lines below are the result of the observations of Thierry Peterburger, who spent a lot of time to ascertain the facts and even draw the pictures. Thanks a lot, Thierry!
There are no special problems when coding simple Flash projectors containing a single level. However, if your Flash contains several levels, some special measures are necessary:
On the PC side, the application can contain a level whose role is to start the other ones (see picture below). On the Macintosh side, the application starts but doesn't display anything (black screen). You have to ask the projector to start a special file (constructor) which will load the level constructors (see below).

Yet another important note:
The base background is not always seen on the Mac side of the fence and you often have to force it in the begin.swf file on a black background.

Back to "How to...".


Producing a HFS-only CD-ROM

This walkthrough is intended to help you to create your first Macintosh CD-ROM with our MacImage utility. We'll show you how to proceed, step by step, to build a pure Macintosh CD-ROM (HFS only) on your PC in Partition Mode.
Please note that if you want to produce a hybrid CD-ROM (ISO/HFS CD-ROM with file sharing), or an ISO CD-ROM with Apple Extensions, you should follow the other walkthroughs, to be found from the "How to..." page.

Five Easy Steps

  • Creating a virtual Macintosh partition,
  • Origin of data files,
  • Copying files to the Macintosh partition,
  • Burning the CD-ROM,
  • Checking the CD-ROM,
  • Thanks.

Installing Macintosh Applications
To keep this walkthrough simple, we only put data files onto the hybrid CD-ROM. Installing Macintosh applications is a little more complicated, and we suggest you first follow this walkthrough, then consult our page on Installing Macintosh Applications.

Back to "How to...".


Origin of Data Files

The data files we intend to put on the CD-ROM are stored on the PC hard disk.
In our example, they are two user manuals created in Xpress, printed to a PS files and distilled in Acrobat. We could also add Acrobat Reader.
They could be graphics files created in Photoshop or Illustrator, presentations produced in PowerPoint, text files written in MS-Word, spreadsheet composed in MS-Excel, HTML files composing a Web site, etc. This list is naturally only illustrative.
In other cases, where the cross-platform compatibility is not as clear or as easy, please visit our pages of hints and tips on data conversion.

Your data could also be stored on a Macintosh medium. In this case, you would have to copy them from the Macintosh medium to the PC, with our MacDisk. This program is an useful tool if you need to produce Macintosh media rather often.

Five Easy Steps

  • Creating a virtual Macintosh partition,
  • Origin of data files (this page),
  • Copying files to the Macintosh partition,
  • Burning the CD-ROM,
  • Checking the CD-ROM,
  • Thanks.


Creating a Virtual Macintosh Partition

Switching to the Partition Mode
MacImage is switched to the Partition Mode in the 'Switch Working Mode' item in the 'Options' menu.
You can also use the CTRL M shortcut.

Creation of the Macintosh Partition
We're now going to build a partition on the PC disk a Macintosh virtual partition.
Don't forget that HFS CD-ROMs are plain copies of a full magnetic volume, that is a picture, sector for sector, of the partition contents, with the empty space and even including the trash. When you ask MacImage to build a Macintosh virtual volume, it first asks for the name of the PC file which will hold the data. Select a file. If it exists, MacImage asks you whether you really want to delete the file. Depending on what you want, answer yes or no. The program then displays following window:

In this window, we give the partition its name (not to be confused with the name of the file on the PC medium) and we specify its size (50MB in our example). The partition can be built with two criteria : extensibility or best use of storage. Extensibility can be fine if you discover that the partition is a little short and you would like to add say 10MB. On the other hand, if you have many little files, it is better to choose the other option.
The checkbox below, labelled 'Reset the contents to zeros', is a safety measure. When the partition is created on the hard disk, it contains what happened to be stored at this place on the disk, maybe some sensitive data contained in deleted files. To be sure, reset the contents.
Last but not the least, you may choose between the HFS and the HFS+ formatting scheme. For small partitions, the HFS is good. HFS+ is better for bigger ones.

Click on 'Create' to launch the real partitioning/initialization work. MacImage now displays the empty volume.

Note: You could also open a former virtual partition created before. See Opening a Macintosh virtual volume in the program.

Five Easy Steps

  • Creating a virtual Macintosh partition (this page),
  • Origin of data files,
  • Copying files to the Macintosh partition,
  • Burning the CD-ROM,
  • Checking the CD-ROM,
  • Thanks.


Copying Files to the Macintosh Partition

We now have to copy the data files to the partition.

On the Macintosh, files are not identified through their extension, but through their signature. The signature is a string of four characters for the file creator and four characters for the file type. The signature of Acrobat PDF files is "CARO" (creator) and "PDF " (file type). Please note that the fourth character in "PDF " is a space. Those parameters should be entered with the SignEdit utility in the look-up table (stored in a signature file). The signature file contains extensions and signatures for most usual file formats. This doesn't mean that they will fit to your personal needs. If you don't know the signature for a specific Macintosh data file, you should note it from a real Macintosh medium (rightmost column in MacDisk) or consult our signature list.

Now, click on the 'PC->Mac' button, select the two data files and launch the copy process.
You can also drag-and-drop the files from any Explorer window, as well as copy-and-paste them.
MacImage executes the copy and displays the result.

Five Easy Steps

  • Creating a virtual Macintosh partition,
  • Origin of data files,
  • Copying files to the Macintosh partition (this page),
  • Burning the CD-ROM,
  • Checking the CD-ROM,
  • Thanks.


Burning the CD-ROM

You have now to launch your premastering software (CD-ROM burning software) and instruct it to burn the CD-ROM from the HFS image file.

It should do it happily, without knowing anything about the real contents of the image. Don't forget to select a correct data mode (1), since some premastering software don't default to this mode when burning an image they don't know or they didn't produce.

Please note that all programs don't behave exactly the same way when faced with image files created by other packages.
In particular, some software packages don't like the *.hfs extension used by default by MacImage for the virtual partitions. Nero comes to mind, but others do the same. In this case, rename the file as *.iso. Those programs only do a superficial check.
Please visit our FAQ on CD-ROMs our FAQ on MacImage for more information. You'll find there the latest information about tests with current software packages.

At the end, you put the CD-ROM in the drive of a Macintosh computer and get following result:

Five Easy Steps

  • Creating a virtual Macintosh partition,
  • Origin of data files,
  • Copying files to the Macintosh partition,
  • Burning the CD-ROM (this page),
  • Checking the CD-ROM,
  • Thanks.


Checking the CD-ROM

The best method, to check the results of the program, is of course to burn the image file and to test on the destination computer. Such a check is always highly recommended and should not be avoided if you are creating a Macintosh CD-ROM as a professional. This is still more true if you installed programs on the partition.

Nevertheless, there are some checks that you can do on the image file.
The HFS image file reopened by MacImage itself when working in the Partition Mode.
The principle is to copy files back to the PC hard disk and to do a file comparison. There are numerous file comparison programs available. We work most of the time with FC, which comes with MS-DOS/Windows. The command syntax is:

FC /B file1.ext file2.ext
where file names can contain a full access path (to be able to compare files in different directories or drives).

Five Easy Steps

  • Creating a virtual Macintosh partition,
  • Origin of data files,
  • Copying files to the Macintosh partition,
  • Burning the CD-ROM,
  • Checking the CD-ROM (this page),
  • Thanks.


Thanks

This walkthrough was written using amongst other things the working notes of Joseph Iano, of Amphion Communications (http://www.amphioncom.com"), one of our first users, which was of great help to bring this page to what it is now.

Five Easy Steps

  • Creating a virtual Macintosh partition,
  • Origin of data files,
  • Copying files to the Macintosh partition,
  • Burning the CD-ROM,
  • Checking the CD-ROM,
  • Thanks (this page).


Producing a Hybrid CD-ROM

Introduction
This walkthrough is intended to help you to create your first hybrid ISO 9660 / Macintosh CD-ROM with our MacImage utility.
Please note that if you want to produce a pure HFS (Macintosh) CD-ROM or an ISO CD-ROM with Apple Extensions, you should use the Partition Mode or the ISO+ Mode. See the other walkthroughs from the "How to..." page.

Five Easy Steps:

  • Selecting the data files,
  • Editing each view,
  • Compiling the image file,
  • Burning the CD-ROM,
  • Checking the CD-ROM.

Installing Macintosh Applications
To keep this walkthrough simple, we only put data files (pictures, text, and so on) onto the hybrid CD-ROM. Installing Macintosh applications is a little more complicated, and we suggest you first follow this walkthrough, then consult our page on Installing Macintosh Applications.

Back to "How to...".


Selecting the Data Files

Project Mode
When launched, the program defaults to Project Mode. This is the working mode we'll use for this walkthrough. The files we're going to put in the project file are stored on the PC hard disk. We'll add them to the project using drag-and-drop. Just select the files in any Explorer window (Explorer, My Computer or File Search), click the right button and drag the files to MacImage main window.
MacImage, when launched, opens a default project. To work in an orderly manner, you may wish to open yourself a project and to put it where you want.
You should note that the files and folders included in the project are not really copied to the project file. This file only contains a list (actually, a tree list) of the files and folders included in the future CD-ROM.

Display Modes (Views)
MacImage offers three display modes, called views: ISO View, Hybrid View and HFS View. The view you are using is displayed in the status bar and in the Toolbar:

Near this button is a downward arrowhead:

Clicking on this arrowhead brings a more explicit menu:

Differences Between Views
In the ISO view, MacImage only displays files and folders which will be visible from the ISO view of the future CD-ROM. Likewise, in HFS mode, it only displays files and folders visible in the HFS view. On the other hand, the hybrid view displays all items (even those deselected from both views).
Selecting a display modes has some consequences on the results. If you drag-and-drop files when in ISO view, for an example, files are only registered to be visible in the ISO view (the files won't be checked for the HFS view). Likewise, when you drag-and-drop files in the HFS view, the user opening the ISO view won't access the files.

Default Settings
The program defaults to hybrid view, and displays all files (included in the ISO and HFS view).

Drag-and-Drop
It is now time to do real work: drag-and-drop some files to MacImage main window.

Five Easy Steps:

  • Selecting the data files (this page),
  • Editing each view,
  • Compiling the image file,
  • Burning the CD-ROM,
  • Checking the CD-ROM.


Editing Each View

Changing the View
The hybrid view displays all information on your project. You can choose to display the ISO or the HFS view.
When the program displays the ISO view, all changes only pertain to the ISO view. If you rename a file, this change will only apply to the ISO view of the data files, and the HFS name will remain unchanged.
When in Hybrid View, MacImage displays the inclusion status of all items listed with two little LEDs:

The yellow LED, on the left, means that the item is included in the ISO View. The green LED, on the right, means that the item is included in the HFS View.

Changing the Inclusion Status
Naturally, MacImage allows the user to change the inclusion status. Right-click on the item and select Properties.
The program displays following dialog window, where you can change the inclusion status.

If you happen to have selected several items, the dialog window is a little different, but allows anyway to change the inclusion status:

When you have made all necessary changes, you can compile the project to produce the image file.

Five Easy Steps:

  • Selecting the data files,
  • Editing each view (this page),
  • Compiling the image file,
  • Burning the CD-ROM,
  • Checking the CD-ROM.


Compiling the Image File

Compiling the project to produce the image file is the same process you use with your favorite burning software when you ask to produce an ISO image instead of directly burning the data onto the CD-ROM.
In MacImage, you do it by clicking the Compile button:

MacImage asks first for a file name (name of the file which will contain the image, not to be confused with the project, which is only a list), then displays a status window showing the number of included files (in the hybrid view, in the ISO view and in the HFS view). It also displays the labels for the ISO volume and for the HFS volume (those labels are editable).

To see the screen capture.

If there are no files in the ISO or in the HFS view, the program asks you whether you want to cancel the compilation or to go on.

If you don't object to this presentation, launch the compilation process. The compilation takes some time (copying the files to the image). The image file can thereafter be burned onto a CD-ROM.

Five Easy Steps:

  • Selecting the data files,
  • Editing each view,
  • Compiling the image file (this page),
  • Burning the CD-ROM,
  • Checking the CD-ROM.


Burning the CD-ROM

You must now launch your premastering software (CD-ROM burning software) and instruct it to burn the CD-ROM from the HFS image file.

It should do this happily, without knowing anything about the real contents of the image. Don't forget to select a correct data mode (mode 1), since some premastering software doesn't default to this mode when burning an image they don't recognize.

Please note that all programs don't behave exactly the same way when faced with image files created by other packages.
For instance, some packages don't accept image files which don't bear the extension its expects.
In Nero, the menu item is called "Burn image" and is located in the File menu.
In Easy CD Creator, it is likewise in the File menu, and is called Register a CD from an image.
Please visit our FAQ on CD-ROMs our FAQ on MacImage for more information. You'll find there the latest information about tests with current software packages.

Five Easy Steps:

  • Selecting the data files,
  • Editing each view,
  • Compiling the image file,
  • Burning the CD-ROM (this page),
  • Checking the CD-ROM.


Checking the CD-ROM

Why Testing?
Depending on your project, you may want to finish the job as soon as possible. You should nevertheless do some checks, in particular for the first CD-ROMs you're going to produce following this method.
Afterwards, you'll be able to behave less strictly.

How to Test?
The best method to check the results of the compilation, is to burn the image file and to test the CD-ROM on both destination computers. Such a check is highly recommended and should not be avoided if you are creating a hybrid CD-ROM as a professional. This is still more true if you installed programs on one or both partitions.

Tests on the PC
Nevertheless, there are some checks that you can do on the image file.
The ISO view can be opened and read with programs like WinImage, IsoBuster or CDMage (see our FAQ on CD-ROMs for the actual addresses). On the other hand, the HFS view can be opened by MacImage itself when working in the Partition Mode, to be selected in the Options menu.
In both cases, the principle is to copy files back to the PC hard disk and to do a file comparison. There are numerous file comparison programs available. We work most of the time with FC.EXE, which comes with MS-DOS/Windows. The command line syntax is:

FC /B [path]file1.ext [path]file2.ext
Use fully qualified path names ([path] statement) if the target files are in different folders and/or drives.

Five Easy Steps:

  • Selecting the data files,
  • Editing each view,
  • Compiling the image file,
  • Burning the CD-ROM,
  • Checking the CD-ROM (this page).


A Web Site on CD-ROM

Introduction
Developers often wish to put all the files composing their Web site onto a CD-ROM, to be able to consult the information off-line. Since one never knows the computer configuration used to open this CD-ROM, and since Macintosh users should not be simply ignored, one comes easily to the idea of producing a hybrid (HFS/ISO 9660) CD-ROM to give all users the best experience, be it on a PC or on a Macintosh.
Since file formats used on the Internet (HTML, GIF, JPEG) are compatible and can be read on all platforms, things are relatively simple as long as there are only data files.
The matter becomes more complicated if you want to implement special effects, that is if you want to install applications and to get an autostarting feature (CD-ROM automatically launched when inserted in the CD-ROM drive).

Data Files
In our MacImage, data files (HTML text files, GIF or JPEG pictures, etc.) are simply dragged & dropped onto the window of a new CD-ROM project file, then this project is compiled to produce an image. At the end, this hybrid image (file containing byte for byte the future contents of the CD-ROM) is burned with your favorite burning software (almost all packages offer a function to do that).
For more information on this process and the steps to follow to produce this hybrid image, please consult our Illustrated Walkthrough.

Applications (programs)
Installing applications on the CD-ROM built from a Web site (installing Macintosh applications on the HFS view of the hybrid CD-ROM) doesn't differ from the more general problem of installing applications on Macintosh media from a PC.
Please consult our page on Installing Macintosh Applications. Note in particular the precautions to be taken when copying Macintosh applications from a real Macintosh medium or when downloading such applications from a Web server.

Autostarting CD-ROMs
Autostarting CD-ROMs, not to be confused with bootable CD-ROMs, are CD-ROMs which are specially coded to be automatically launched when the medium is inserted in the CD-ROM drive of a running computer.
On the Mac, the basic principle is to put in the root of the HFS CD-ROM (or of the HFS view of the hybrid CD-ROM) a file whose name should not exceed 11 characters. For an example, index.htm(l) would meet this condition. The name of this file is written in the boot sector of the volume under some precise conditions (see Apple Technical Note on this matter). Our program MacImage can do it on a HFS partition (or on the HFS view of a hybrid HFS/ISO 9660 CD-ROM image). Please note that the autorun feature is often seen as an open door to viral attacks and that 99% of conscious Macintosh users block this feature.

Autostarting Netscape Navigator
To launch Netscape Navigator, the signature of the file selected must be MOSS for the creator and TEXT for the file type.

Autostarting MS Internet Explorer
To start Microsoft Internet Explorer, the signature of the file must be MSIE for the creator and TEXT for the file type.
It is also possible to point the autolaunching feature to a shortcut containing a more complex address. In this case, the shortcut should have a signature of MSIE for the creator and LINK for the file type. Its contents could be:
[InternetShortcut]
URL=file://Test/Test.html
This method is interesting because the filename can be longer and also because the file to open can be stored in another folder and not necessarily in the root directory.

Autostarting the default browser
Of course, you are now asking whether it would be possible to simply launch the default browser installed on the target Macintosh computer, like you can do it on the PC with a command like start index.htm(l).
The first solution is to expect that the File Exchange extension, on the target Macintosh, will be correctly set, and that the htm and html suffixes will be bound to the default browser. Needless to say that this is rarely the case.
A second solution is to use the "Apple Browser Launcher", a scripting addition available on Macintosh computers under version 8 of the OS (this feature doesn't exist anymore under MacOS 9 and X). If a file bears the creator code 'udog', this scripting extension is launched and automatically launches the default browser on the computer. The principle is explained in Apple Technical Q&A NW60. I used this solution with a filetype string of 'text'.

A practical solution
Since MSIE, as you probably know, is the dominant browser, it is not completely insane to build your autostarting CD-ROM for it (using the MSIETEXT signature) and to add an identical copy of the entry file, bearing a name like "Users of other browsers, open me first", with the signature for Netscape Navigator (MOSSTEXT), Opera (OPRATEXT) or iCab (iCABTEXT).

Back to "How to...".


Registering the Filetypes Managed by MacImage

At installation, MacImage has registered in the Windows Registry several filetypes:

  • *.mipr for project files created in the Project Mode
  • *.hfs for files created in the Partition Mode
  • *.miso for project files created in the ISO+ Mode.

The effect of this registration is that you can double-click on any project file in the Explorer to automatically launch MacImage and open this project.

It can happen, for many possible reasons (installation of other software packages, for instance), that the links get lost. You can refresh the registration through the 'Register File Types' item, in the Special menu.


Registering the Serial Number

When launched for the first time, the program asks the user to type his serial number. This serial number, printed on the invoice and on the label of the data medium, is then stored in the Registry. That means that you'll only have to type it once.
If you bought the product on line and installed it before getting the real serial number, you can safely give a serial number like E03.00000. Later one, you'll be able to specify the real number from the About MacImage... window (in the Help Menu).

The logical structure of this seria numer is 'E' for English (or 'F' for French), 03 for 2003 (year in which you bought or upgraded your license), and a 5-digit number, like E02.00999.

You'll find below our address and two buttons to send us an e-mail and to visit the technical support pages of our Internet Web Site.

Back to "How to...".


Searching for Files

The program features two search modes in all working modes: by name and by signature.

Search by name

Say that you reopen an old project file or an existing Macintosh partition and that you would like to know whether some file is already present.
Are you going to open all folders to look for your file? No. Select this menu item, type what you remember of the filename and launch the function.
If the program finds only one file matching your request, its displays automatically the folder containing the file. Here you are!!
If several files correspond to your criteria, the program displays the list and asks you to select the one which interests you.
The program only accepts '*' as wildcard.

Search by signature

Now say that you got a project for a Macintosh CD-ROM and you would like to know whether there are QuickTime movies on it. A quick search in the table of Macintosh signatures shows that the signature of those files is "MooV" (caution, the string is case-sensitive). Just type this string in the window and launch the function.
If there is only one QuickTime movie on the disk, the program directly displays its folder.
On the other hand, if there are more than one, the program will display a list of all QuickTime movies on the disk. Select one, and the program displays the folder holding the file.

See also the page about Searching & Replacing Signatures.


Selecting the Working Mode

Selecting the Working Mode (Project/Partition/ISO+)

The menu item to select the Project Mode, the Partition Mode or the ISO+ Mode is located in the Options Menu.
You can also change the mode directly with the key combination CTRL M (for Mode).

Toolbars
You can distinguish the different mode looking at the backgroung color and at the toolbars:

Project Mode:

Partition Mode:

ISO+ Mode:

Back to "How to...".


Switching Between HFS and HFS+

Introduction
The two main differences between HFS and HFS+ are the filename length and the size of the allocation blocks (see our page HFS vs. HFS+ for more information).
The size of the allocation blocks is computed at compilation time (when building the CD-ROM image) and doesn't play any role in the project management.
The filename length is therefore the only thing which matters.

From HFS+ to HFS
When you switch from HFS+ to HFS, MacImage has to truncate the filenames to 31 characters. It applies the same principles as in the filename truncation (when including new files and folders in the project).

From HFS to HFS+
In the other direction, MacImage doesn't modify the filename length and keeps the shorter names (even if the HFS+ theoretically allows longer filenames).

Changing the Default Option of MacImage
Users may select the HFS or HFS+ formatting scheme for all newly created projects using the Preferences item in the Options Menu.


Updating/Refreshing the Project File

Introduction
Several circumstances exist where you may wish to update or refresh the current project (check whether files and folders have changed their size, date, or were deleted or moved). MacImage proposes several functions which may help you to manage those situations:

  • 'Refresh Project' item, in the Special Menu, to be used whenever you want, for instance after reopening an older project
  • 'Refresh Project' option, proposed in the compilation launching window, to be used just before the compilation of the CD-ROM image
  • 'Refresh the contents of this folder' option, proposed in the Properties window, to manage folders whose contents changes frequently
  • Missing files and folders locating function, to locate on your disks a file or folder which MacImage doesn't find anymore
  • 'Change Access Path' item, in the Special Menu, to be used when a files/folders tree was moved from a disk to another, or from a level to another level of the same tree.

Refresh Project Menu Item
This item in the Special Menu launches a full check of the files and folders included in the current project. This function updates the size and the dates of the included items.
More, it displays a list of the files and folders deleted or changed, which you can send to the default printer to help you to manage the situation (see in the 'File' menu of this module).

MacImage then corrects the displayed data:

The red LEDs (see above) signal that the file/folder could not be found at the place where it was. Its name may have been changed, or the item may have been moved. If your files and folders are stored on a server, check also that the server is indeed accessible.

Refresh Project Compilation Option

This option is proposed in the window used to launch the compilation of the CD-ROM image. It has no use if you just build your project, but it is a good safety measure when you compile an older project, built some time ago.
If you have in your project some files whose size may change considerably, it is better to routinely check this option. The program may crash, for instance, if one file was included for 1KB and its size is in fact 10MB or more.
Please note that, in the compilation, missing files and folders are silently ignored.

'Refresh the contents of this folder' Option

This option, proposed in the Properties window, is useful to manage folders whose contents changes frequently.
Normally, the contents of a folder included in the project is the contents it had at the time it was included. That is, if you create a file later in this folder, this file will not be included in the final CD-ROM.
This behavior is the classical one, adopted by most comparable programs using the same project concept (check with your favorite CD-ROM burning software). Anyway, MacImage allows you to decide that the whole contents of a folder should be included in the project, in its current state.
You have to check the checkbox (see above) and to refresh the project using the 'Refresh Project' menu item or the 'Refresh Project' option of the Compilation window (see above).

Locating a Missing File/Folder
When you right click on a missing file or folder, the context-sensitive menu displayed by MacImage offers a special item:

Select this item to launch the search:

At the end of the search (which can be rather long if you chose to search on all the disks which are accessible from your computer), MacImage displays in the lower left corner the list of the files it found:

If you double-click on the file you want, or if you click on the name, then on the 'Replace' button, it replaces the former (missing) one in the upper part of the window.

Note that the access path was modified (the file had simply be moved in the parent folder).
You can now validate the whole process to update the project file, or cancel to keep the initial situation.

Access Path Modification
The 'Change Access Path', in the Special Menu, allows you to cope with a similar situation, where a whole files and folders tree was moved, from a disk to another disk, or from a tree level to another tree level on the same disk.
For instance, all your files which were located under 'C:\My Files\CD Project' are now under 'D:\CD Project'.
When you call this function, MacImage displays following window:

Type in the original access path and the new one. Launch the search and replace function.
Caution, this function is a powerful, but also destructive one.


Display Module

Display Function
The file display function provided by the program is basic but will, for example, help you choose between two text files whose names are not sufficiently explicit, or refresh your memory about the contents of a file whose name is not descriptive. For binary files, this function can be useful if they contain identification strings.

The display screen is divided into three parts:

  • Offsets (left column)
  • Hexadecimal display (central pane)
  • ASCII display (right column)

File Forks
If the file contains two Forks, the program first displays the Data fork. You can switch to the other fork in the File menu.
If there is a Resource Fork, the program offers two display modes: the first is a classical hexadecimal dump and the second a tree view of the logical structure of the resource (which is a database). Right clicking on the resource items, you can save them as a hexadecimal dump (handy for research work) or a binary dump.
You can also display the properties of the file and then return to the main screen.

Character Sets
The ‘Display’ menu allows you to choose between the ASCII character set, the Macintosh ASCII character set and the ANSI character set. The ‘Numeration’ menu allows you to select a decimal or hexadecimal display of the offsets (in the left-hand column).

More information on the Menus.


Menus of the Display Module

File Menu

The ‘File’ menu is the main navigation tool. The two first items, ‘Data fork’ and ‘Resource fork’, display the size of the fork and allow switching from one to the other. The item is greyed when the fork is empty.
The ‘File Properties’ item displays the same ‘Properties’ window as the main application. The presence of this item is a mere convenience.
Lastly, the ‘Print’ item allows you to print out of the raw contents of the sector, and the ‘Quit’ item to return to the main application.

Display Menu

To display the text in clear (in the right-hand column), select the best-adapted character table (Macintosh, Windows or DOS ASCII).

Numeration Menu

To display the offset value in the left-hand column, you may choose the decimal or hexadecimal numeration.

Back to the Main Page of the display module.


SignEdit, the Signature Editor

Presentation
SignEdit is an independent editor module launched from the main application to edit (modify) the signature table. This table is used to establish the links between signatures on the Macintosh side and extensions (suffixes) on the PC side. The signature file used by the program is stored in the Windows Registry (see the Options menu).

Launching SignEdit
SignEdit is launched from the Expert/Special menu in the main application. It automatically loads the current signature file (the one used by the program). Having an external signature file instead of an internal table (made of constants) allows the user to adapt the behavior of the program to his needs (new versions of programs, new data types, etc.).

To go further:

  • User Interface
  • Features
  • Menus


SignEdit User Interface

The Signature Editor
SignEdit automatically loads the signature file whose name is stored in Windows Registry by the main application.

SignEdit displays its data in a columnar list. The four columns (Extension, Mac File-type, Mac Creator, Descriptive Comment) are self-explanatory. The fourth column (Comment) is used by the program to fill the ‘Type’ column, allowing the user to ascertain quickly what is on the Macintosh medium. The contents of this column are free.

This list interface allows sorting of the columns: one click to sort in alphabetical order, a second click to sort in the reverse order. These features allow you to work in an orderly manner such as checking to ensure that you don’t have duplicates.
Also note that the signature table is used in both directions: Macintosh to the PC and PC to the Macintosh.

Since the list is read sequentially, the ranking of the items should not be selected randomly. Put the items used most often at the beginning, and check that a spurious item doesn’t come before your newly-created item.
The ‘Edit’ menu (and the corresponding item of the context-sensitive menu) offer two selections which allow the user to move the signature items up and down the list.

Back to SignEdit Main Page.

To go further:

  • Features
  • Menus


SignEdit Features

Editing a Signature Item

This dialog window is called by the ‘Edit’ item in the ‘Edit’ menu (and by the same item in the context-sensitive menu). It displays the contents of the selected signature item. The PC extension can be three or four characters long. The two pieces of the Macintosh signature (File-type and Creator) are both four characters long.
Macintosh signatures are case-sensitive (HTML and html are not considered equal). Spaces are accepted. The program adds spaces at the end of each if the length is shorter than 4.
The comment is a free text displayed in the ‘type’ column of the main program. Use it as you please.

Adding a Signature Item

The working principle is the same, the only difference being that the dialog window is empty when displayed.

Where to find signatures?
The online help contains a (pretty long) list of Macintosh signatures. You can also visit our Website (http://www.macdisk.com/macsigen.htm), where this list is frequently updated. You will also find on this page pointers to other information sources.
On the Macintosh, utilities exist to display/correct the signature of the files.

Back to SignEdit Main Page.

To go further:

  • User Interface
  • Menus


SignEdit Menus

File Menu

The ‘File’ menu groups all of the usual menu items for an utility like an editor: ‘New’ to create a new file, ‘Open’ to open an existing file, ‘Save’ to save the modified contents of the file, ‘Save as’ to save it under a new name, and ‘Close’ to close the current file.
You can use the ‘Print’ item to send the current sigfile to the printer.
As usual, the last item is ‘Quit’, to return to the main application.
These menu items don’t deserve more explanation.

Edit Menu

The ‘Edit’ menu groups all items used to modify the contents of the signature file. ‘Edit Item’ loads the selected signature item in an editing window. ‘Add Item’ displays a similar window to create a new signature item. The three following items, ‘Cut’, ‘Copy’ and ‘Paste’, behave as in any editor.
Last but not least, the two items ‘Move Up’ and ‘Move Down’ allow one to move the selected signature item up one slot or down one slot (when the order of items matters).

Register Menu

This menu contains only one item, to store the current signature file for the main application in the Windows Registry.

Context-sensitive Menu

The context-sensitive menu offers four items selected from the ‘Edit’ menu: ‘Edit Item’, ‘Add Item’, ‘Move Up’ and ‘Move Down’. See above for more information.

Back to SignEdit Main Page.

To go further:

  • User Interface
  • Features


BinHex Format

Introduction
The BinHex format was created to meet two specific needs. First, it encodes binary data as ASCII characters (which use 7 bits) into binary files (which use 8 bits) and can be sent on the Internet. Second, it bundles into a single container both forks that compose a Macintosh file. Finally, the author, Yves Lempereur, added the RLE compression function to avoid sending repetitive sequences of identical characters.

How to identify a binhexed file
The suffix used for binhexed files is generally HQX. The signature of these files (on an HFS medium) is TEXTBNHQ.
Moreover, the first line of a BinHex file is:

(This file must be converted with BinHex 4.0)

You have only to open the file in a word processor to ascertain that the file you received is indeed a BinHex file. Please note that, according to the specs, this comment line is not mandatory, but that all utilities we have used put this line at the beginning of the file. The BinHex standard also specifies that the first and last character of the data stream should be a double quote.
We have seen files where the line above was not the first one, but the second one. Our programs ‘choke’ on such files. Open them in a text-editor and delete the first line.

When can you get binhexed files?
The BinHex standard is one of the working modes (with mime) of most Macintosh mail software. These packages encode and decode the data stream automatically, and most users never know they are using binhexed files. Things are different when a Macintosh user sends a file to a PC user. Some mail packages on the PC don’t know the BinHex standard and just store the coded file on the hard disk.
The BinHex format is also used by some programs to build Macintosh files on other platforms. That is what Flash (Macromedia) does when asked to build a Macintosh animation. In this case, the BinHex coding plays the same role as the MacBinary coding, since the 7-bit coding is technically irrelevant.

How to decode binhexed files on the PC
There are several utilities for decoding binhexed files on the PC. They generally have some shortcomings, mostly because of the very nature of Macintosh files. The main shortcomings are:

  • The original Macintosh filename is lost.
  • The signature of the Macintosh file is not recognized.
  • The contents of the resource fork is lost.

On the other hand, our programs know BinHex files and manage them correctly.


MacBinary Format

MacBinary files
The MacBinary de facto standard (specs. of versions I, II and III can be found at Lazerware but should interest only programmers) allows both forks of Macintosh files to be kept together on telecommunications lines or on servers which don’t know anything about forks. A MacBinary file (SEA archives are only a special case) contains three parts:

  • Finder header (length 128 bytes)
  • Data fork (variable length)
  • Resource fork (variable length, beginning on the next block of 128 bytes)

When you download a Macintosh file from a server, be it a data file, a program file or an archive, you generally download a MacBinary file (See also our page on binhexed files). If you download it to a PC, you have to manage the parts and put them where they belong.

Reinstalling a MacBinary file on a Macintosh volume
The procedure for reinstalling the MacBinary file onto a Macintosh medium is pretty simple. Here are the instructions for using MacDisk to transfer the file to a Macintosh disk. See below for instructions with MacImage.
1. Take a Macintosh floppy or format one with MacDisk (remember you can use quick reformatting on a clean 1.44 MB PC diskette).
2. Click on the ‘PC to Mac’ button.
3. Select the file in the dialog box and start the copy. MacDisk automatically detects MacBinary files.
You will note that the file, on the Macintosh medium, doesn’t necessarily have the same name as on the MS-DOS medium. That is because the original filename was stored in the Finder header and MacDisk has restored it. You will also observe that a part of the file has been put in the data fork and another part in the resource fork.
If you mount the medium on a Macintosh, you should get a double-clickable application.

Including MacBinary files in a project under MacImage
When you include a MacBinary file in a project, MacImage identifies the format and looks for all details within the file. The process is quite transparent. You don't have anything special to do.


Macintosh File Forks

File Forks
Under the Macintosh file system, files do not consist of one single segment. They are composed of two pieces, called forks, i.e. a data fork and a resource fork. Only one of these two forks may be empty.

Data Fork
The data fork contains what is generally called a file on the PC, for instance, the text created by a word processor or the pixels composing a picture, etc. When data files are transferred between a Macintosh and a PC, the data fork is the only part of interest (the only exceptions are font files and applications/programs).
If a Macintosh data file has lost its resource fork, for instance after being transferred through another file system, it remains fully usable, even if it is not recognized by the Finder and no longer double-clickable (because it has lost its signature). Just launch the application and open it with File | Open.

Resource Fork
The resource fork may contain the code of a program or the commands of a font file, etc. Some programs store a preview picture in the resource fork.
Despite what is often said, the resource fork doesn’t contain the signature of Macintosh files (file type and file creator).

Why a Resource Fork?
The resource fork is organised as a database, which allows a fast access to all components of the stream. This is a big advantage for some applications. It is also possible to change some elements without disturbing the rest of the file.

How to Manage Both Forks
Two main methods are commonly used to keep both forks of Macintosh files together on communication lines and on servers which don’t know anything about forks: the MacBinary standard and the BinHex standard.
Apple has also released two specifications, called AppleSingle and AppleDouble, to get a similar result.


Macintosh Files and the Internet

Internet and Macintosh Files
Some comments are in order about how to manage Macintosh files sent through the Internet: files downloaded from servers (through the FTP or HTTP protocol) or files received through email (as attached files).
Two main reasons justify a special treatment. First of all, Macintosh files are not monolithic, but may be composed of two pieces, called forks, i.e. a data fork and a resource fork. Please consult the page on file forks for more details.
Secondly, the nature of a Macintosh file is not expressed as a file extension (or file suffix), but as a signature, a string of characters encoding the file creator and the file type. Again, consult the page on file signatures if you want more details.
Last but not the least, the email protocol doesn’t allow the sending of binary files, but only text files. This means that the bytes of the file are only encoded in 7 bits and not in 8 bits.
This explains why most FTP and mail programs running on the Macintosh silently build containers when asked to upload a file to a server or to send a file as an attachment.

Macintosh Files Attached to E-mail Messages
Most Macintosh mail programs execute silently two different operations on attached files:

  • Containerization (regrouping both forks and the Finder info)
  • Encoding (to allow 8-bit bytes to travel as 7-bit bytes)

However, a PC mail program only encodes the attached files.
When the attached files arrive on the target computer, the mail client has to decode the file, then open or break the container to place all of the pieces where they belong.

De Facto Standards
Four standards are used in this context: MacBinary, AppleSingle, AppleDouble and BinHex. MacBinary and AppleSingle describe a way to put into a single file (called the container) the two forks composing the file, plus some elements like the signature. The resultant file is then encoded in the usual way.
The AppleDouble standard doesn’t put both forks into a single container, but in two separate streams that the MIME mail program can put into a single message. At the other end, the client will decode what it knows (generally only the data fork, just silently dropping the resource fork). Please note that the AppleDouble and AppleSingle formats are a MIME standard (RFC1740).
The Binhex standard holds a special position because it does both operations together, plus some simple data compression (RLE).

What to Do
The first thing to do is to ascertain how the received file was managed.
You can use our MacMail program, whose goal is to try to automate as many of the operations as possible. Please consult its page to know more about it.
Another proven method is to try to open the file in a text editor and to look for some specific strings.
Binhexed files contain the following string in the first line: “(This file must be converted with BinHex 4.0)”.
MacBinary files are not easily recognized because there is no ‘magic’ signature. However, you should find at the beginning (offset 2) the string of the original Macintosh filename. A little further (offset 65) is the signature of the file.
AppleDouble and AppleSingle files should never exist in this form on the target machine, since all recent mail clients should decode them without asking the user. Nevertheless, the ‘magic signature’ of AppleSingle files is 0x00051600 while it is 0x00051607 for AppleDouble files. This signature is to be found at the beginning of the single file in the case of the AppleSingle standard and at the beginning of the header file (file containing everything but the data fork) in the case of the AppleDouble standard.

Fonts: A Special Situation
When fonts are transferred from the Macintosh to the PC as attached files, several situations can arise. If the font has been transferred in AppleDouble or AppleSingle format, your mail client may know these formats and try to decode the file. Since the e-mail client thinks that the only usable part must reside in the data fork and the data fork is empty, the user gets an empty file. The e-mail software generally discards the resource fork without explanation because it may think of this as the only logical way to go, even if you don’t agree.

Fonts in MacBinary or BinHexed Format
You may have a better chance if the font has been sent as a BinHex file or a MacBinary file.
We invite you to visit our page on Fonts Transfers for more information on this subject.

How to send an attached file to a Macintosh user
Some users ask how to send a file created on the PC to a Macintosh user by e-mail.
First of all, if you want to send a Word or Excel file, don’t send the file encoded in the format of the latest version. As a rule of thumb, send Word files only as Word 5 for the Macintosh or Word 2 for Windows, and Excel files as Excel 5. For other text formats, use RTF.
If you send such a file as an attachment, odds are good that the file will display on the Macintosh screen with a generic (cornered sheet) icon, and that the user, when double-clicking this icon, will get an error message about opening this file as SimpleText. The user must first launch the application, then open the File menu and select the item using Open.


Macintosh Signatures

What are signatures?
The Macintosh doesn't use the three-character extension concept (or even more than three, like under Unix and also nowadays under Windows) to identify files, but signatures. Signatures are strings of eight bytes, four for the creator (the program which created the file) and four for the file type (text, picture, and so on).
The correspondance between signatures and icons is managed by the Finder, for all programs which happened to exist on a volume, in the Desktop file (an hidden system file which is never shown by the Macintosh but exists on every disk). With System 7 and upwards, the Desktop graduated to a double Desktop DB + Desktop DF, for reasons which would lead us too far away from our main issue.

Where are signatures stored?
These signatures, contrary to what is often mentioned, even by knowledgeable persons, are not saved in the resource fork of each file, but in the catalog tree (on the disk, in a management structure you will [hopefully] never have to look at).
This mistake finds its origin in the fact that the programs (and only the programs, not the data files) put the icons they use in their resource fork and have to declare (in a bundle resource placed in their resource fork) the signature of the files they intend to manage, so that the Finder knows what to do when the user double-clicks on an icon. Another source of errors comes from the fact that some graphic files save in the resource fork a preview picture of the file (thumb nail to display on the desktop).

Signatures tables
Here are some of the signatures and corresponding PC extensions we collected (if you want to add or correct something, please feel free to send us an e-mail, we update the site almost once a week).
For those who need to edit the internal table of our Mac-PC transfer programs (MacDisk and MacImage), you will have to note the signature/extension you want to use/exploit and put it in the table displayed by the SignEdit utility. If you encounter an atypical file (something not giving the results expected), please check the real signature of a file whose origin doesn't make any doubt, on a Macintosh magnetic volume (see the rightmost column of the display).

Generic formats
These signatures identify the file type, but not the creator ('????' is a valid creator). They are useful when a program refuses to load a file because the signature is not what it expects and the programmer was too lazy to look into the file. We give the PC extension when there is a well established one.

Signature | Extension | Comments
APPL???? |  | Application (program)
EPSF???? | EPS | Generic EPS
JPEG???? | JPG | Generic JPEG
PICT???? | PCT | Generic Pict
TEXT???? | TXT | Generic Text
TIFF???? | TIF | Generic TIFF

Specific formats
These signatures identify both the file type and the creator. Applications other than the creator generally only look at the file type to ascertain whether they can open the file.

Signature | Extension | Comments
8BIM8BIM | PSD | Photoshop 3/4 files
8BIM8BPS | PSD | Photoshop
ALB4ALD4 | PM4 | Pagemaker 4
ALB5ALD5 | PM5 | Pagemaker 5
ALB6ALD6 | PM6 | Pagemaker 6
APPLaust |  | Self-extracting archive created by Stuffit
APPLEXTR |  | Self-extracting archive created by Compact Pro
AB65AD65 | P65 | Pagemaker 6.5
cDRWdDRW |  | Claris Draw
CWWPBOBO | CWK | Claris Works text v. 1 to 5
dPROdDOC | MDP | MacDraw Pro
DDAPDDFL |  | File compressed by Disk Doubler ??
EPSPXPR3 |  | EPS created by Xpress
FH50AGD1 | FH5 | Freehand 5
FHD3FHA3 | FH3 | Freehand 3
FMP3FMP3 | FMP/FP3 | FileMaker Pro
FXTCEggP | AEP | After Effects' project file
inDdinDn | IND | Indesign Document
LWFNASPF |  | Adobe Type 1 Font
MDPLDRWG |  | MacDraw II files
MDRWDRWG |  | MacDraw files
MV93MD93 | DIR | Macromedia Director
MooVTVOD | MOV | QuickTime files
MW2DMWII |  | Mac Write II
nX^2nX^n |  | WriteNow 3
nX^nnX^n |  | WriteNow 2
PACTCPCT | ??? | Archive created by Compactor (Pro)
PDF_CARO | PDF | Acrobat files (_ being a space)
QSfLQSfl |  | Check file of the Symantec AV
SIT!SIT! | SIT | Archive created by Stuffit
SITDSIT! | SIT | Archive created by Stuffit
SLD3PPT3 | PPT | Power Point 3
SLD8PPT3 | PPT | Power Point 98
StMIGIFf | GIF | GIF files created by PageMill
StMITEXT | HTM | HTML files created by PageMill
TEXTART3 | AI | Illustrator 3
TEXTBNHQ | HQX | BinHex
TEXTOMEG |  | Mathematica (all kinds of files)
W6BNMSWD | DOC | Microsoft Word 6
W8BNMSWD | DOC | Microsoft Word 8 (98)
WDBNMSWD | DOC | Word 3/4/5 Macintosh
WORDBOBO | CWK | Claris Works (word processor)
WORDMACA |  | Mac Write 4.6/5
WP42SSIW | WP4 | Wordperfect 4 (saved by WP for the Mac)
WP50SSIW | WP5 | Wordperfect 5 (idem)
WTBNMSWD | DOT | Word Template
XDOCXPR3 | QXD | Xpress (all versions)
XLBNXCEL | XLS | Excel 1 for the Macintosh
XLS4XCEL | XLS | Excel 4
XLS5XCEL | XLS | Excel 5
ZIP_ZIP_ | ZIP | Zipped archive (_ being a space)

Below a more general list of filetype and creator strings we already saw.

File types
Signature | Comments
..CT | Scitex files (put 8BIM as creator if you want that files open directly in Photoshop when you double-click on them on the Mac
.WP4 | PC WP4 file as seen by Wordperfect 2 for the Mac
.WP5 | PC WP51 file (idem)
8BIM | Adobe Photoshop native format
8BPS | Transparent
AB65 | Pagemaker 6.5
ALB3 | PageMaker 3
ALB4 | PageMaker 4
ALB5 | PageMaker 5
ALB6 | PageMaker 6
AWDB | MS-Works database
AWSS | MS-Works spreadsheet
AWWP | MS-Works word processor file
BINA | Text file saved as Word DOS or Word Windows file by Word Mac 5
CrTC | Project file by Toast 3
CWWP | Claris Works text file
DCT5 | MS-Word dictionnary
DDFL | Disk Doubler data file
dDOC | MacDraw Pro file
dDRW | Claris Draw File
DRWG | MacDraw file
DWG_ | AutoCAD file (_ being a space)
EggP | After Effects' project file
EPSF | EPS file
FFIL | Font Suitcase (Type 1 or True Type)
ffil | Display Font
FH50 | Freehand 5 file
FHD3 | Freehand 3 file
F#+D | Rag Time Classic file
FMK$ | FileMaker 1 file
FMP3 | FileMaker Pro file
GIFf | GIF files created by PageMill
GLOS | MS-Word glossary
HImg | Image file created by Toast 3
inDd | Indesign Document
JPEG | JPEG file
lfil | True Type Font
LWFN | Type 1 Font (PostScript font)
MooV | QuickTime file
MPEG | MPEG file (MPEG1 coding)
MPWd | MacWrite Pro 1.5 file
MW2D | MacWrite II file
MW2S | MacWrite II model
nX^2 | Write Now 3 file
nX^d | Write Now 2 file
PACT | Compactor data file
PDF_ | Acrobat files (_ being a space)
PICT | PICT file
R#+A | RagTime Classic text file
RTF_ | RTF File (the _ being a space)
S#+A | Rag Time 2 text file
SIT! | Stuffit Archive
SITD | Stuffit Archive
SLD3 | PowerPoint 3
SLD8 | PowerPoint 8
TIFF | TIFF file
W6BN | Mac Word 6
W8BN | Mac Word 8 (98)
WDBN | Mac Word 3, 4, 5 text file
WHLP | MS-Word help file
WORD | MacWrite formatted file
WP42 | PC WP4 file seen by Wordperfect 1 for the Mac
WP50 | PC WP51 file seen by Wordperfect 1 for the Mac
WPD0 | Wordperfect 1 text file
WPD1 | Wordperfect 2 text file
WPD3 | Wordperfect 3 text file (what happened to the '2'?)
WPRD | MS-Word print file
WTBN | Word Template
XDOC | Xpress file
XTMP | Xpress template
XLBN | Excel 1 spreadsheet
XLS_ | Excel 2.2 spreadsheet (_ being a space)
XLS3 | Excel 3 spreadsheet
XLS4 | Excel 4 spreadsheet
ZIP_ | Zipped archive (_ being a space)

Creator strings
Signature | Comments
8BIM | Adobe Photoshop
ACAD | AutoCAD
AD65 | Pagemaker 6.5
AGD1 | Freehand 5
ALD3 | PageMaker 3
ALD4 | PageMaker 4
ALD5 | PageMaker 5
ALD6 | PageMaker 6
APLS | ??
ART3 | Illustrator 3
ART5 | Illustrator 5 and later
ARTY | Illustrator 1
ARTZ | Illustrator 88
BOBO | Claris Works
CARO | Acrobat Distiller
CDr3 | Toast v. 3
cDRW | Claris Draw
CPCT | Compactor (Pro ?)
DDAP | Disk Doubler
dPRO | MacDraw Pro
ERIK | Finder (Desktop files)
F#+A | Rag Time Classic
FHA3 | Freehand 3
FMK4 | FileMaker II ?
FMP3 | FileMaker Pro
FXTC | After Effects
inDn | InDesign
MACA | MacWrite 2.2 and 4.6
MDRW | MacDraw
MDPL | MacDraw II
mdos | DOS file copied by AFE or PC Exchange
MOSS | Netscape (Mozilla)
MPWR | MacWrite Pro
MSWD | Microsoft Word 3/4/5 for the Mac
MWII | MacWrite II
nX^n | Write Now v. 3
OMEG | Mathematica
PPT3 | PowerPoint (all versions)
PSIP | Works 1
PSI2 | Works 2
R#+D | Rag Time 3
S#+D | Rag Time 2
SIT! | Stuffit
SSIW | Wordperfect 1
StMI | Adobe PageMill
vgrd | LaserWriter (Postscript file)
WPC2 | Wordperfect 2 (3 also)
XPR3 | QuarkXpress 3
XCEL | Excel

Other sites may be helpful:

  • Signature Page on our Internet site
    This this page is only a copy of the Internet page, you may want to visit the original page, which is updated more frequently.
  • Apple signature registering page
    Signatures [or at least creator strings] should be registered with Apple. This site allows you to consult the database and know whether a string is free or registered. There is no possibility to get a exhaustive list (and Apple stated publicly that there would be no such list).
  • Ilan Szekely's Index
    Index to download, containing more than 30,000 signatures.


Resizing Virtual Partitions

Introduction
In Partition Mode, MacImage manages its virtual partitions in files stored on the PC hard disk. When you create a new partition, one of the proposed options is about the extensibility and the best usage of available space. What does that mean exactly?

Allocation Clusters
On a disk (and on a virtual partition, too), space is allocated in chunks called clusters. This is the smallest allocation unit. It is generally a multiple of the hardware sector size, 512 bytes. If the cluster is 2048 bytes long, for an example, a small file of 1KB occupies a slot of 2KB.
On the other hand, on HFS (Macintosh) volumes, the total number of allocation clusters is 65 535 (to allow storing cluster numbers in a small integer). Up to 32MB, the cluster size is therefore 512 bytes; a disk of 320MB uses clusters of 512 x 10 = 5KB, etc.
If the partition you're building will store many little files (like for a Web site), it is better to use small clusters. You will then select the best use of space option.
If you want to store on the CD-ROM big graphics, it doesn't matter. You can use the other option.

Resizing the Partition
If you choose the extensibility option, we create an allocation table of the maximum size, while using only a part of it. If you want to make the partition bigger, we just add room at the end and let the unused part of the table point to the new clusters.
If you want to shrink the partition, we check that there are no files behind the limit you chose and then delete the unused part.


Destination folder

Introduction
This window is displayed by the program when you click the button 'Copy Mac to PC' or the menu item with the same name. This big window is often a source of incomprehension, in particular for users new to the Windows user interface. We will therefore explain below some basic matters that experienced users may ignore.

Why a Destination Folder?
The aim of this window is to select the destination folder which will be the target for the files or folders that you selected in the Macintosh volume. It allows you to navigate the PC hard disk(s). A button allows you to create subfolders if you want to do it to get a better storage organization for the files and folders you're copying from the Macintosh volume. When you are satisfied with the current folder, click on the button 'Copy in current folder'.

Navigation
The 'Path' line shows where you are in the Folder tree. This string begins with the disk letter (for an example 'C:\'), followed by the names of the folders and subfolders, separated by a backslash ('\'). An access path like "C:\MAC\FILES" means that, from the root folder of the C: disk, you have opened and expanded the 'Mac' subfolder and then the 'Files' subfolder.
This string is updated each time you change the current drive (in the Drives list) or the current folder (in the Folders list). If you double-click a folder in the folder list, you open it, and its name is added to the access path. On the other hand, if you click on one of the two navigation buttons, you go up into the parent folder and the last item of the access path is deleted.
If you are new to the PC under Windows, take the time to learn this navigation method, that you'll use everyday in all disk operations. In particular, check the effects of all your commands on the 'Path' variable.


Copy PC -> Macintosh Volume

This window allow the user to navigate the PC hard disk and to select the PC files to be copied onto the Macintosh volume.

Navigation
The 'Path' line shows where you are in the Folder tree. This string begins with the disk letter (for an example 'C:\'), followed by the subfolders. An access path like "C:\MAC\FILES" means that, from the root folder, you have to open and expand the 'Mac' subfolder and then the 'Files' subfolder. This string is updated each time you change the current drive (in the Drives list) or the current folder (in the Folders list).

Copying files
You can copy all the files in the current folder or a selection of those files. The files contained in the current folder are displayed in the left listbox. If the filename mask in the upper editbox is '*.*', all files are displayed. If you type a restrictive mask (for an example '*.doc'), you'll only list the file whose extension is DOC. You can select files in the Files Listbox using the usual Windows commands. Click on one file to select it. You can extend the selection with the CAPS key and add single files to the selection with CTRL.
When the selection is correct, just click on the button 'Copy Selection'. If you want to copy all files displayed in the left listbox, click on the button 'All Files'.
If you want to copy several set of files from the same folder (without getting back to the main program screen), check the box titled 'Don't close after copy'. In this case, the program doesn't close the window when the copy is completed, but waits for new commands. In the other case, the program closes the box when the copy is completed.


Creating a Folder

This windows allows you to give the name of the folder to be created on the target medium.
On a Macintosh medium, the folder name can't exceed 31 characters.


Simple Message Box

This message box displays an information message. Information messages of little importance are displayed in the status bar (at the bottom of the main window). More important messages are displayed with such message boxes. It may be useful to note the exact wording of the message before contacting the technical support.

Back to "How to...".


Interruption Message Window

This message window is displayed when the program executes a lengthy operation if the user hits the ESC key. You can select to abort the operation or to continue.

Please note that some operations can't be cancelled (like formatting a disk).

Back to "How to...".


Message Window with Yes/No option

This message window is displayed by the program to ask a question while offering two answers: Yes and No. It is used in several circumstances, like the deletion of files and folders.

Back to "How to...".


Message Window with Yes/No and All/None options

Message Window asking a question and offering the usual Yes and No buttons, plus All and None buttons to avoid being asked the same question each time the dialog gets called during the operation (e.g. for each file of a selection being deleted).

Back to "How to...".


Properties

This big window displays all properties (attributes) of the selected Macintosh file. Those attributes are the name, the data fork size, the resource fork size, the signature and the creation and last modification dates. Most of those elements can be edited. You should nevertheless know what you are doing. Your are not making a graphical file of a text file just because you changed its signature.
On the other hand, there are some programs (for an example, MacWrite 4.6, which is now too old to make an offence of this comment) which refuse to open a file when the signature is not what they expect to find. Such an editing function is therefore very useful..
Another editbox displays the identification string displayed by the program in the 'Type' column. A button titled 'Advanced' calls a secondary window which could be of some interest for the techies. If the file is stored on a NTFS/SFM volume, this button is labeled Normalization.

Back to "How to...".


Properties (2)

This second window displays technical information about the selected file.

Back to "How to...".


Renaming a file or folder

This window is used to type the new name of the file or folder you want to rename.
It is also used to change the volume label.

Back to "How to...".


Selection Window

This window asks you to make a selection from the listed items and is used for partition selection, file selection, etc.

Back to "How to...".


Selecting a File

At the end of a search operation, several files correspond to your criteria. Select the one which interests you.

Back to "How to...".


Title

Titre

When the Macintosh medium is partitionned, the program displays this window to allow you to select the partition to be displayed.
The same principle applies with the sessions or tracks of a multisession CD-ROM.


Copying Files to the PC

After opening the Macintosh partition, MacImage displays its contents: nothing if you just created it, or, on the other hand, the files or folders (which contain, in turn, other files or subfolders, etc.) contained in the current disk root.
For this walkthrough, we suppose you have something to copy in the virtual partition. We’ll select only one file, but you could, of course, select several files (as well as one or several folders). However, for this first illustration, we’ll keep things simple.

If the file you want to copy is visible, select it by clicking on its name. MacImage displays the line as selected (by inverting the color) to acknowledge the selection.

If the file is not visible, it may be stored in a folder below (one of the visible folders – look at the icon or at the type string in the second column to distinguish between files and folders – or maybe deeper). To open a folder, double-click on its name. The folder is then expanded to display its contents. If you have made a mistake (a click on the wrong name), you can return to the former folder (the parent folder) by clicking on [image] in the toolbar.

Now click on [image] in the toolbar. MacImage answers by displaying the ‘Select the Target Folder’ window. This window displays the default target folder (last target folder used, or ‘My Documents’) and allows you to browse the hard disk to select or create the folder into which you want to put the file.

See the screenshot.

To navigate to another target folder to put the file, click on the ‘Browse’ button.

See the screenshot.

For this walkthrough, we’ll just put the file in the ‘My Documents’ folder.
When you execute MacImage for the first time, it defaults to this folder. To launch the physical data copy, click on the ‘Copy Now’ button.

MacImage copies the file and closes the window. The physical transfer phase is over.

To go further:
Copying files from the PC to the Mac volume.


ISO Volume Descriptor

Introduction
This big dialog window, called from the compilation launching dialog, allows the user to type in several identifier strings which may be stored in the ISO Volume Descriptor. This descriptor is stored in the 16th sector of the disk.
You may fully ignore this aspect of the CD-ROM. Those informative strings don't have anything to do with the proper functionning of the CD-ROM.
More precisely, the descriptor can contain following strings:

  • System Identifier
  • Volume Identifier
  • Volume Set Identifier
  • Publisher Identifier
  • Data Preparer Identifier
  • Application Identifier
  • Copyright File
  • Abstract File
  • Bibliographic File

Maximum Length
For each string, we give below the maximum length. The program applies those limits strictly.
Please see also below the comments about the Joliet Volume Descriptor.

ISO and Joliet Descriptors
The Joliet file system is implemented upon the ISO file system and allows, amongst other things, longer file names (up to 64 characters). The Joliet file system uses to that end a so-called secondary descriptor, the Joliet Volume Descriptor, which has the same structure as the ISO Volume Descriptor. Since the Joliet file system uses Unicode to store the strings, each character occupies two bytes, and all strings must be halved.

System Identifier
This field should (according to the standard) contain the identification of a system able to recognize and act upon the contents of sectors 0 to 15.
In the real life, all CD-ROM premastering packages write their name there. MacImage uses the string "LSD-MacImage". You can change it to something useful for you.
Maximum length: 32 bytes (ISO: 32 characters, Joliet: 16 characters).
Back to Top

Volume Identifier
This string (label or title of the CD-ROM) is the only one which is visible in the normal use of the CD-ROM.
Maximum length: 32 bytes (ISO: 32 characters, Joliet: 16 characters).
Back to Top

Volume Set Identifier
The ISO standard allows to create multivolume sets. Those sets can be data structures which extend on several disks, for instance for data backups. They can also be only series or families of CD-ROM on a common theme.
Maximum length: 128 bytes (ISO: 128 characters, Joliet: 64 characters).
Back to Top

Publisher Identifier
Identifier of the publisher of the CD-ROM.
Maximum length: 128 bytes (ISO: 128 characters, Joliet: 64 characters).
Back to Top

Data Preparer Identifier
Identifier of the person or other entity which controls the preparation of the data to be recorded. It can be somebody else than the publisher (see above), in particular if the publisher used the services of a premastering bureau to do the job.
Maximum length: 128 bytes (ISO: 128 characters, Joliet: 64 characters).
Back to Top

Application Identifier
Identifier of the application or of the specification defining the way the data is recorded on the disk. Rarely used.
Maximum length: 128 bytes (ISO: 128 characters, Joliet: 64 characters).
Back to Top

Copyright File
This slot can contain the name of a file, stored in the disk root, containing the usual copyright mentions. Rarely used.
This string is in fact a file name (maximum length: 8+3).
Back to Top

Abstract File
This slot can contain the name of a file, stored in the disk root, containing abstract informations. Rarely used.
This string is in fact a file name (maximum length: 8+3).
Back to Top

Bibliographic File
This slot can contain the name of a file, stored in the disk root, containing bibliographic informations. Rarely used.
This string is in fact a file name (maximum length: 8+3).
Back to Top


Copy PC -> Macintosh Partition

To copy files between the PC and the Macintosh partition, you can use the classical method of fdrag-and-dropping files and folders from any Explorer window. Just select the files and folders, keep the mouse button down and drag the whole batch to MacImage window.

You can also use the internal copy features. Click on the [image] in the toolbar. MacImage displays his window allowing the user to navigate the PC hard disk and to select the PC files to be copied onto the Macintosh volume.

Voir la copie d'écran.

Navigation
The 'Path' line shows where you are in the Folder tree. This string begins with the disk letter (for an example 'C:\'), followed by the subfolders. An access path like "C:\MAC\FILES" means that, from the root folder, you have to open and expand the 'Mac' subfolder and then the 'Files' subfolder. This string is updated each time you change the current drive (in the Drives list) or the current folder (in the Folders list).

Copying files
You can copy all the files in the current folder or a selection of those files. The files contained in the current folder are displayed in the left listbox. If the filename mask in the upper editbox is '*.*', all files are displayed. If you type a restrictive mask (for an example '*.doc'), you'll only list the file whose extension is DOC. You can select files in the Files Listbox using the usual Windows commands. Click on one file to select it. You can extend the selection with the CAPS key and add single files to the selection with CTRL.
When the selection is correct, just click on the button 'Copy Selection'. If you want to copy all files displayed in the left listbox, click on the button 'All Files'.
If you want to copy several set of files from the same folder (without getting back to the main program screen), check the box titled 'Don't close after copy'. In this case, the program doesn't close the window when the copy is completed, but waits for new commands. In the other case, the program closes the box when the copy is completed.


About MacImage...

This classical window displays the current version level and the serial number of your license. You can change or register the serial number calling the Serial Number Registration window.

You'll find below our address and two buttons to send us an e-mail and to visit the technical support pages of our Internet Web Site.


HFS vs. HFS+

Introduction
Under the Macintosh operating system, CD-ROM are magnetic volumes like other (hard) disks and the first CD-ROMs were therefore formatted as HFS disks.
With the apparition of modern huge disks, it was neccessary to launch a new file system, so-called HFS+, or Sequoia (code name in the development phase). The official terminology used by Apple is now 'Mac OS Extended'.

Why Choosing?
The HFS+ format was introduced with Mac OS 8.1 to cope with modern huge disks, which were not economically managed with the HFS formatting scheme, which can only manage 65,535 allocation blocks. The total disk size must therefore be divised by this number.
When the size of the allocation block is of 32KB, for instance, the "slack" (lost space for each file) is statistically the half of the allocation block. The lost can be worse, depending on the average size of files (for instance, when storing a Web site on a disk).
On the other hand, the HFS+ formatting scheme doesn't impose limits to the number or size of the allocation blocks.

Allocation Blocks on a CD-ROM
Pratically, with hybrid CD-ROMs, the storing space allocation must be managed using the worst allocation scheme. As the ISO 9660 file system only knows 2048-byte sectors, we have to use this size as the minimum allocation block, even if the HFS file system, theoretically, can address 512-byte logical sectors within the 2048-byte hardware sector.
Blocks of 2048 bytes are used up to 130Mo. We switch to 4096 bytes up to 260Mo. We have to use 6144 bytes up to 400Mo, then 8192 bytes up to 530Mo, and at last 10,240 bytes afterwards.
For instance, a project containing 7000 files for 180MB gives a CD-ROM of 190MB. Likewise, a project of 15,000 files for 436MB gives a CD-ROM of 492MB. The difference can rapidly become really huge.
With the HFS+ file system, it is possible to manage all CD-ROM sizes with allocation blocks of 2048 bytes, up to the theorical maximum size of 650Mo.

Filename Length
The maximum filename length of the HFS format is 31 characters. The limit of the HFS+ format is 255 characters, even if MacImage, for compatibility reasons, had to adopt a 64-character limit (corresponding to the filename limit of the Joliet standard).

Drawbacks of the HFS+ Format
Facing such blattant advantages, why would anyone not choose the HFS+ format as a default option for producing hybrid CD-ROMs?
The answer was given above. The HFS+ is still rather recent, and we all know that Macintosh computers die old. Therefore, one should not exclude the eventuality of a Macintosh running an older Mac OS in the target group.
One should note that this argument looses its weight day after day...
Under Mac OS X, all major CD-ROM burning software packages use the HFS+ formatting scheme as default.

Default Option of MacImage
Therefore, MacImage uses the HFS format as default formatting scheme, for the reasons given above.
On the other hand, users may select the HFS+ formatting scheme for all newly created projects using the Preferences item in the Options Menu.
Existing projects can also be switched between HFS and HFS+ (and the other way around).


Modifying the Access Path

The 'Change Access Path', in the Special Menu, allows you to cope with a frequent situation, where a whole files and folders tree was moved, from a disk to another disk, or from a tree level to another tree level on the same disk.
For instance, all your files which were located under 'C:\My Files\CD Project' are now under 'D:\CD Project'.
When you call this function, MacImage displays following window:

Type in the original access path and the new one. Launch the search and replace function.
Caution, this function is a powerful, but also destructive one.


General Preferences

This window offers two options about the general behavior of the program.

MacImage defaults to the Project Mode, which is the most frequently used. However, some users may use other modes, too, and may want to launch the program directly in the last used working mode. This option allows this.

In the same vein, the program must ask the user to truncate filenames which are too long for the file system (be it ISO or HFS/HFS+). With this option, you can choose to let the program do the job without bothering you.

See also:

  • Preferences in Project Mode
  • Preferences in Partition Mode
  • Preferences in ISO+ Mode


Preferences in Partition Mode

This window shows several options about the Partition Mode.

You may want to show or hide the hidden files and folders. Some users want to see everything, others prefer seing only the important items.

When you delete files or folders, the program asks you whether you're sure to delete those items (there is no recovery for deleted items). You may want not to be asked each time you delete something.

The last item is about the file naming conventions when copying files from the Macintosh partition to the PC hard disk. The labels are self explanatory.

See also:

  • General Preferences
  • Preferences in Project Mode
  • Preferences in ISO+ Mode


Preferences

Introduction
This dialog windows regroups the preferences (user settings) for all working modes:

  • General Preferences
  • Preferences in Project Mode
  • Preferences in Partition Mode
  • Preferences in ISO+ Mode

See also:
Display Column Settings.


Searching & Replacing Signatures

Introduction
This Searching & Replacing Signatures features, launched from the File Menu, allows the user to search and replace signatures.
It may be useful, for instance, if you chose to use Netscape Navigator to open HTML files and now decide to use rather Microsoft Explorer.

You may want to consult the page about Macintosh signatures to find out which signature to apply.
Caution, the string is case-sensitive.

See also the Search by signature feature, as well as the function to check Generic Signatures.


Postgap

The postgap is a run of 150 empty sectors (2 seconds) that should be present at the end of a track, according to the CD-ROM standards. Some CD-ROM burning software packages add it routinely, others don't.
Till now, we still have to see a CD-ROM which doesn't work because of this, but some duplication and pressing shops may refuse your master if it doesn't contain this postgap.
Since 150 sectors should never be a space problem, this option is checked by default. Uncheck it in the Compilation Launching Window if you know precisely what you're doing and if you're really tight.


Column Settings

This window displays the current settings of the columns composing the listview, with checkboxes. Check the columns you want to display and uncheck the others.
This setting is saved across sessions in the Windows Registry.

The 'Default' buttons checks all columns and restores the original widths.
Some of the columns (for instance 'Name') can't be hidden.
You can also choose to show or hide the Explorer bar (navigation pane, on the left).


Hybrid Project Compilation

This window displays all characteristics of the project file you're going to compile:

Upper frame:

  • Name of the PC file containing the HFS/ISO 9660 image
  • Size of the future image file
  • Number of included folders
  • Number of included files
  • Adding a postgap
  • Refreshing the project. See our page on Updating/Refreshing the project.

Middle frame:

  • Label of the ISO image (editable). Defaults to the name of the container file (see above) without extension.
  • Number of included folders
  • Number of included files
  • Button to add the ISO descriptor strings

Lower frame:

  • Label of the HFS image (editable). Defaults to the name of the container file (see above) without extension.
  • Number of included folders
  • Number of included files
  • Button to launch a Signature Check

You can edit both labels (the ISO partition and the HFS partition can have different names). This window also allows you to check the project for generic signatures (default signatures).


ISO+ Project Compilation

This window, displayed after selecting the file which shall contain the image, shows all properties of the project file you're going to compile.

  • Name of the PC file containing the ISO 9660 image
  • Size of the future image file
  • Volume Label. Defaults to the name of the container file (see above) without extension.
  • Number of included folders
  • Number of included files
  • Adding a postgap
  • Refreshing the project. See our page on Updating/Refreshing the project.
  • Button to launch a Signature Check

Most of the time, you should accept the default options and launch the compilation.


Checking for Aliases and Generic Signatures

Before compiling the CD-ROM image (in the dialog windows launching the compilation), or from the Special Menu, you may check for Aliases and Generic Signatures, which may bring some problems with them.

Why Checking for Aliases?
Alias play the same role on the Mac that shortcuts under Windows. They allow to put an icon in the Root Folder, pointing to a program or to a data file stored much deeper in the Folder Tree.
Therefore, you may need to check that they are still pointing to the correct place.
On the other hand, you may want to simply delete those aliases.

Why Checking for Generic Signatures?
Generic signatures are signatures where the file type is correctly set and the file creator undetermined (in the form '????').
For an example, a file whose signature is 'TIFF????' is correctly identified as a TIF file. But the creator is not set, that is there is no link to a specific program to open it.
Such a file will open in a program if you use the 'File' menu and the 'Open' item, but not if you just double-click on its icon. The Finder can't search for a program which would know what to do with such files.
On the other hand, such files will have a generic icon (cornered paper sheet).
Depending on your project, you may want to give your files typed signatures (for an example 'TIFF8BIM' in the case of our TIF file, to bind it to Photoshop).
Please note that, for HTML code, only the filenames matter, and not the signatures (but for the first one, index.htm(l)).

To Go Further:

  • See our page on Signatures, with more information and links to several Internet pages.
  • See SignEdit Help for some explanation on how to change the signature table used by the program.


Alias File Editing

This window displays all characteristics of the alias file you selected. It allows you to rebuild the link between the alias (shortcut) and the real file in the virtual Macintosh partition.

This feature is still in a raw state, and we would like to get feedback from our users on how to polish it a little more.

Back to "How to...".


Resizing the Virtual Partition

This window displays the name of the current virtual partition and its current size. Below, the minimum and maximum sizes displayed depend on the selections you made when building the virtual partition. You may have more or less freedom.
When the new size is OK, click on the 'Resize' button or click on the 'Cancel' button to abort the resizing and go back to the main screen.

Back to "How to...".


Information on the ISO+ Project

This window displays the number of files and folders included in the project. You may find this information useful to know the size of your current project.

Please note that the cumulated size of all included files is not the same as the size of the future CD-ROM, because of the lost of space incurred when storing files on any medium. Click on the 'Compute' button to compute the real size of the CD-ROM.


Properties of the Hybrid Project

This window displays information about the current project, that is the number of files and folders included in the project (total number, number in the ISO view and in the HFS view). You may find this information useful to know the size of your current project.

Please note that the cumulated size of all included files takes in account the normal slack (that is, the empty space in the sector storing the end of the file).
When you compile a HFS CD-ROM, the size of the allocation units can add to this slack, because the HFS file system can't address more than about 65000 allocation units). Click on the 'Compute' button to compute the real space occupied by files in the hybrid CD-ROM.
This feature is disabled in the case of HFS+ hybrid CD-ROMs (see below), since the allocation unit is always the basic sector (2048 bytes).

Two more options are offered in the 'HFS View' frame:

  • Mac OS Extended (HFS+)
  • Custom Icon

Mac OS Extended (HFS+)
Under the Macintosh operating system, CD-ROM are magnetic volumes like other (hard) disks and the first CD-ROMs were therefore formatted as HFS disks.
With the apparition of modern huge disks, it was neccessary to launch a new file system, so-called HFS+, or Sequoia (code name in the development phase). The official terminology used by Apple is now 'Mac OS Extended'.
See our page about switching a project between HFS and HFS+. See also our page HFS vs. HFS+ for more information.

Custom Icon
The Macintosh operating system allows users to give custom icons to volumes, folders and files.
See our page on Custom Icons for more information, and WinComposer Help about the tools to be used.


MacImage Dialog Windows

When the program needs some input from the user, it displays a window, according to the general principles of the user interface under Windows. Each of those windows offers a context-sensitive help function.

This contextual help can be called by clicking on the button with a question mark, in the upper right corner:

A question mark is then added to the normal cursor. Just click anywhere in the window to display a little popup with an explanation text:

This help feature is handy, but a drawback is that any click in the window closes it. That means that you can't go further if some concept needs more explanations. The programs offers therefore a second way to call the help system.

The program icon, displayed in each window, is also a help button.

Just click on it to display a normal help window with with more detailled information. This time, this window remains open and you can navigate in the help system.


Information about the Macintosh Volume

This window displays some technical information about the current Macintosh volume. Those data are only informative.
No user input expected.

Back to "How to...".


Copy Modes

The Copy Modes
MacImage, in Partition Mode, offers three copy modes:

  • Normal copy (data copy)
  • Resource copy
  • Binary copy (MacBinary mode).

Normal copy (Data fork copy)
This is the default mode. When launched, the program always defaults to this mode. It is the most frequently needed mode, because, most of the time, you only want to use Macintosh data files. You should not switch to another mode without knowing precisely why you're doing it.

Resource copy
Nevertheless, it can happen that you need to copy the other fork of the file (for an example, to transfer font files or get icons).

Binary copy (MacBinary mode).
The MacBinary copy mode is useful if you want to get Macintosh files containing both a data and a resource fork, to send them to a server, for instance.
This copy mode is also useful if you want to include a program (or any file containing something in the resource fork) in another project.


Properties of files and folders

This window is called when the user selects several files or folders and selects the 'Properties' item in the 'File' menu or in the contextual menu called by a right click. On the other hand, in the case of a single selection, the program displays its Big Property window.
This window displays only the signature, the hidden code and the inclusion code (whether the file or folder is included in one or both views). You can change the inclusion status by checking the inclusion check boxes. You can hide the selected files or folders by checking the hidden checkbox, for the ISO view or for the HFS view. You can change the signature for all selected files.
Please note that changing the inclusion code of a file or folder can have consequences farther than in the current folder. For an example, unchecking a folder deselects the folder and all items below. Likewise, checking a file or folder can cause all items above to be also checked (just to build a continuous access path).

Back to "How to...".


Properties of a file or folder

This window is called when the user selects a single file or folder and selects the 'Properties' item in the 'File' menu or in the contextual menu called by a right click. On the other hand, in the case of a multiple selection, the program displays another window.
The window displays the original name (on the PC disk), the name in the ISO view of the CD-ROM, the name in the HFS view, the size of the file, the inclusion code (whether the file or folder is included in one or both views) etc. All data displayed on a white background is editable. You can select the file for the autostarting feature of the Macintosh view.
Please note that changing the inclusion code of a file or folder can have consequences farther than in the current folder. For an example, unchecking a folder deselects the folder and all items below. Likewise, checking a file or folder can cause all items above to be also checked (just to build a continuous access path).

Back to "How to...".


Selecting the View (Display Mode)

You may want to select the display mode (ISO View, Hybrid View or HFS View) using the 'Switch View (Display Mode' item in the Options Menu.
You get the same result using the first button of the taskbar, which changes according to the selected view:

Near this button is a downward arrowhead:

Clicking on this arrowhead brings a more explicit menu:

Views and Files/Folders Inclusion
If you drag-and-drop files when the program is in Hybrid View, files are included in both views, that is PC users and Mac users will see them.
If you click on the button and switch to the HFS View, MacImage only displays the files included in this view. The files you include when the program is in this display mode are only included in the HFS view.
Likewise, if you click on the button and switch to ISO View, MacImage only displays the files included in this view. The files you include when the program is in this display mode are only included in the ISO view.

Back to "How to...".


Creating a new Image File

This window allows you to type the label of the new partition and to select its size. You can use the up-down control to slowly increment the size, or the trackbar to get faster the required size. You can also simply type the size in the edit box.
If you think you'll need to resize the partition, check the first button (expansibility). If you intend to store many little files in the partition, it is better to select the second option (optimum storage).
You may reset the partition contents to zeros (it takes a little time) or not. If you have sensitive data on your hard disk (in deleted files), it is possible that this data will be found in the new file created for the Macintosh partition.

See also Creating a HFS only CD-ROM.

Back to "How to...".


Properties of files and folders

This window is called when the user selects several files or folders and selects the 'Properties' item in the 'File' menu or in the contextual menu called by a right click. On the other hand, in the case of a single selection, the program displays another window.
You have several choices: include or exclude all files from the ISO view or from the HFS view, and hide the files/folders in the ISO or HFS view.
The window displays only the signature if there is only one for all selected files. You can nevertheless specify the same signature for all selected files.

Back to "How to...".


Properties of the file or folder

This window is called when the user selects a single file or folder and selects the 'Properties' item in the 'File' menu or in the contextual menu called by a right click. On the other hand, in the case of a multiple selection, the program displays another simpler window.
The window displays the original name (on the PC disk), the name on the future CD-ROM (which can be different) and the signature to be put in Apple Extensions.

Back to "How to...".


Signature File in the Registry

This window displays the key used to store the signature file in the Windows Registry.
It lists the current contents of this key.
The third edit window is used to select a new signature file (through the 'Browse' button on the right).


HFS/HFS+ Filename Truncation

This window is displayed when the name of one file included in the HFS view is longer than the maximum filename length permitted by the Macintosh file system, that is 31 characters for the HFS formatting scheme and 64 characters (limit of MacImage, not of the file system) in the HFS+ formatting scheme.

The program computes a shorter name (while keeping the extension) and displays this shorter name in the edit box, where you can edit it.
A checkbox below allows you to ask the program to do the truncation itself, without displaying this window.
If you cancel the truncation, since MacImage couldn't create a syntaxically correct file system in its image with this name length, the file is not included in the HFS View of your project.


Label of the ISO+ CD-ROM

This window displays the current label of the project. You can edit it freely.


ISO/Joliet Filename Truncation

This window is displayed when the name of one file included in the ISO view is longer than the maximum length permitted by the Joliet extension to the ISO 9660 standard, that is 64 characters, minus the ';1' version string, which is never displayed by explorer tools, but has to be present, that is 62 characters.

The program computes a shorter name (while keeping the extension) and displays this shorter name in the edit box, where you can edit it.
A checkbox below allows you to ask the program to do the truncation itself, without displaying this window for each file.
If you cancel the truncation, since MacImage couldn't create a syntaxically correct file system in its image with this name length, the file is not included in the ISO View of your project.


Labels of Both Views

This window displays the current labels of both views (ISO View and HFS View) in the current project.
You can edit both labels independently.

Since the HFS label is most of the time the same as the ISO label, what you type in the ISO label edit zone is automatically copied in the other one.


Signature Editing

This window displays the current signature and allows you to edit it. It also displays the filename and a comment about the file type.
You can choose to ignore the current file, to ignore all files (abort the signature checking), to modify the current signature and to modify all signatures (if you are sure that there is only one file type to correct).
It is used in the checks about aliases and signatures, before saving the current partition or before hybridating an ISO image.

Back to "How to...".